# ----------------------------------------------------------------------
# Dictionary which contains a key, value pair for each country. Each key
# is the regex pattern for the country and the values are the metrics.
# ----------------------------------------------------------------------

regex_dict = {
    "afghanistan|^AF$|^AFG$": [
         "Afghanistan", "Afghanistan", "UN member state", "AF", "AFG", 4,
         ".af", "+93", 34.095632, 66.26486, "34°5′44.3″N", "66°15′53.5″E",
         "Asia", "Southern Asia", "🇦🇫", 652230.0, 652230.0, 0.0, "Kabul",
         34.5253, 69.1783, "34°31′31″N", "69°10′42″E", 38041754.0,
         19291104007.8299, 2156.4195, 2065.0364, False, False,
         False, "Afghan afghani", "؋", "AFN", "", 0.4, 0.511,
    ],
    "albania|^AL$|^ALB$": [
         "Albania", "Albania", "UN member state", "AL", "ALB", 8, ".al",
         "+355", 41.1413, 19.978775, "41°8′28.7″N", "19°58′43.6″E",
         "Europe", "Southern Europe", "🇦🇱", 28748.0, 27398.0, 1350.0,
         "Tirana", 41.3289, 19.8178, "41°19′44″N", "19°49′04″E",
         2854191.0, 15279183289.9372, 14648.2674, 13724.0588, False,
         False, False, "Albanian lek", "L", "ALL", 33.2, 0.634,
         0.795,
    ],
    "algeria|^DZ$|^DZA$": [
         "Algeria", "Algeria", "UN member state", "DZ", "DZA", 12, ".dz",
         "+213", 28.033886, 1.659626, "28°2′2.0″N", "1°39′34.7″E",
         "Africa", "Northern Africa", "🇩🇿", 2381740.0, 2381740.0, 0.0,
         "Algiers", 36.7539, 3.0589, "36°45′14″N", "3°3′32″E",
         43053054.0, 171091289782.245, 12019.9284, 11510.5571, False,
         False, False, "Algerian dinar", "د.ج", "DZD", 27.6, 0.535,
         0.748,
    ],
    "^(?=.*america).*samoa.*|^AS$|^ASM$": [
         "American Samoa", "American Samoa", "United States of America", "AS",
         "ASM", 16, ".as", "+1 684", -14.270972, -170.132217,
         "14°16′15.5″S", "170°7′56.0″W", "Oceania", "Polynesia", "🇦🇸", 224.0,
         224.0, 0.0, "Pago Pago", -14.2794, -170.7006, "14°16′46″S",
         "170°42′02″W", 55312.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    "andorra|^AD$|^AND$": [
         "Andorra", "Andorra", "UN member state", "AD", "AND", 20, ".ad",
         "+376", 42.546245, 1.601554, "42°32′46.5″N", "1°36′5.6″E",
         "Europe", "Southern Europe", "🇦🇩", 468.0, 468.0, 0.0,
         "Andorra la Vella", 42.5, 1.5, "42°30′N", "01°30′E", 77142.0,
         3154057987.23833, "", "", False, False, False, "Euro", "€",
         "EUR", "", "", 0.868,
    ],
    "angola|^AO$|^AGO$": [
         "Angola", "Angola", "UN member state", "AO", "AGO", 24, ".ao",
         "+244", -12.275669, 17.995442, "12°16′32.4″S", "17°59′43.6″E",
         "Africa", "Middle Africa", "🇦🇴", 1246700.0, 1246700.0, 0.0,
         "Luanda", -8.8383, 13.2344, "8°50′18″S", "13°14′04″E",
         31825295.0, 88815697793.303, 6965.5114, 6670.3323, False,
         False, False, "Angolan kwanza", "Kz", "AOA", 51.3, 0.362,
         0.581,
    ],
    "anguilla|^AI$|^AIA$": [
         "Anguilla", "Anguilla", "United Kingdom", "AI", "AIA", 660, ".ai",
         "+1 264", 18.223002, -63.049885, "18°13′22.8″N", "63°2′59.6″W",
         "North America", "Caribbean", "🇦🇮", 91.0, 91.0, 0.0,
         "The Valley", 18.2208, -63.0517, "18°13′15″N", "63°03′06″W", "",
         "", "", "", False, False, False, "Eastern Caribbean dollar",
         "$", "XCD", "", "", "",
    ],
    "antarctic|^AQ$|^ATA$": [
         "Antarctica", "Antarctica", "Antartic Treaty", "AQ", "ATA", 10,
         ".aq", "+672", -75.250973, -0.071389, "75°15′3.5″S", "0°4′17.0″W",
         "", "", "🇦🇶", 14200000.0, "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "", "", "", "", "", "",
    ],
    "antigua|barbuda|^AG$|^ATG$": [
         "Antigua and Barbuda", "Antigua and Barbuda", "UN member state", "AG",
         "ATG", 28, ".ag", "+1 268", 17.060816, -61.796428,
         "17°3′38.9″N", "61°47′47.1″W", "North America", "Caribbean", "🇦🇬",
         442.6, 442.6, 0.0, "St. John's", 17.1167, -61.85, "17°07′N",
         "61°51′W", 97118.0, 1661962962.96296, 22879.7661, 21910.185,
         False, False, False, "Eastern Caribbean dollar", "$", "XCD", "",
         0.596, 0.778,
    ],
    "argentina|^AR$|^ARG$": [
         "Argentina", "Argentina", "UN member state", "AR", "ARG", 32, ".ar",
         "+54", -35.581245, -64.285895, "35°34′52.5″S", "64°17′9.2″W",
         "South America", "South America", "🇦🇷", 2780400.0, 2736690.0,
         43710.0, "Buenos Aires", -34.6033, -58.3817, "34°36′12″S",
         "58°22′54″W", 44938712.0, 445445177459.426, 23040.288,
         22063.9044, False, False, False, "Argentine peso", "$", "ARS",
         42.9, 0.602, 0.845,
    ],
    "armenia|^AM$|^ARM$": [
         "Armenia", "Armenia", "UN member state", "AM", "ARM", 51, ".am",
         "+374", 40.255271, 44.96784, "40°15′19.0″N", "44°58′4.2″E",
         "Asia", "Western Asia", "🇦🇲", 29743.0, 28203.0, 1540.0,
         "Yerevan", 40.1814, 44.5144, "40°10′53″N", "44°30′52″E",
         2957731.0, 13672802157.8324, 14257.9625, 13653.7495, False,
         False, False, "Armenian dram", "֏", "AMD", 29.9, 0.579,
         0.776,
    ],
    "aruba|^AW$|^ABW$": [
         "Aruba", "Aruba", "Netherlands", "AW", "ABW", 533, ".aw", "+297",
         12.52111, -69.968338, "12°31′16.0″N", "69°58′6.0″W",
         "North America", "Caribbean", "🇦🇼", 180.0, 180.0, 0.0,
         "Oranjestad", 12.5186, -70.0358, "12°31′07″N", "70°02′09″W",
         106314.0, "", "", "", False, False, False, "Aruban florin",
         "ƒ", "AWG", "", "", "",
    ],
    "australia|^AU$|^AUS$": [
         "Australia", "Australia", "UN member state", "AU", "AUS", 36, ".au",
         "+61", -25.274398, 133.775136, "25°16′27.8″S", "133°46′30.5″E",
         "Oceania", "Australia and New Zealand", "🇦🇺", 7741220.0,
         7682300.0, 58920.0, "Canberra", -35.2931, 149.1269,
         "35°17′35″S", "149°07′37″E", 25365745.0, 1396567014733.23,
         53378.3928, 49609.044, True, False, False,
         "Australian dollar", "$", "AUD", 34.4, 0.77, 0.944,
    ],
    "austria|^AT$|^AUT$": [
         "Austria", "Austria", "UN member state", "AT", "AUT", 40, ".at",
         "+43", 47.581819, 14.157768, "47°34′54.5″N", "14°9′28.0″E",
         "Europe", "Western Europe", "🇦🇹", 83871.0, 82445.0, 1426.0,
         "Vienna", 48.2, 16.3667, "48°12′N", "16°22′E", 8879920.0,
         445075391688.156, 60398.5991, 56011.6112, True, True,
         True, "Euro", "€", "EUR", 30.8, 0.747, 0.922,
    ],
    "azerbaijan|^AZ$|^AZE$": [
         "Azerbaijan", "Azerbaijan", "UN member state", "AZ", "AZE", 31,
         ".az", "+994", 40.484555, 47.739592, "40°29′4.4″N",
         "47°44′22.5″E", "Asia", "Western Asia", "🇦🇿", 86600.0, 82629.0,
         3971.0, "Baku", 40.3953, 49.8822, "40°23′43″N", "49°52′56″E",
         10024283.0, 48047647058.8235, 15039.8093, 14402.4639, False,
         False, False, "Azerbaijani manat", "₼", "AZN", 26.6, 0.578,
         0.756,
    ],
    ".*bahamas|^BS$|^BHS$": [
         "Bahamas (the)", "Bahamas", "UN member state", "BS", "BHS", 44,
         ".bs", "+1 242", 25.03428, -77.39628, "25°2′3.4″N",
         "77°23′46.6″W", "North America", "Caribbean", "🇧🇸", 13880.0,
         10010.0, 3870.0, "Nassau", 25.0667, -77.3333, "25°4′N",
         "77°20′W", 389482.0, 13578800000.0, 38742.5458, 37100.744,
         False, False, False, "Bahamian dollar", "$", "BSD", "", "",
         0.814,
    ],
    "bahrain|^BH$|^BHR$": [
         "Bahrain", "Bahrain", "UN member state", "BH", "BHR", 48, ".bh",
         "+973", 26.059835, 50.550507, "26°3′35.4″N", "50°33′1.8″E",
         "Asia", "Western Asia", "🇧🇭", 760.0, 760.0, 0.0, "Manama",
         26.225, 50.5775, "26°13′30″N", "50°34′39″E", 1641172.0,
         38574069148.9362, 47002.5493, 45010.7115, False, False,
         False, "Bahraini dinar", ".د.ب", "BHD", "", 0.652, 0.852,
    ],
    "bangladesh|^BD$|^BGD$": [
         "Bangladesh", "Bangladesh", "UN member state", "BD", "BGD", 50,
         ".bd", "+880", 23.684994, 90.356331, "23°41′6.0″N",
         "90°21′22.8″E", "Asia", "Southern Asia", "🇧🇩", 148460.0, 130170.0,
         18290.0, "Dhaka", 23.7639, 90.3889, "23°45′50″N", "90°23′20″E",
         163046161.0, 302571254131.135, 4964.0914, 4753.7269, False,
         False, False, "Bangladeshi taka", "৳", "BDT", 32.4, 0.464,
         0.632,
    ],
    "barbados|^BB$|^BRB$": [
         "Barbados", "Barbados", "UN member state", "BB", "BRB", 52, ".bb",
         "+1 246", 13.169054, -59.555174, "13°10′8.6″N", "59°33′18.6″W",
         "North America", "Caribbean", "🇧🇧", 430.0, 430.0, 0.0,
         "Bridgetown", 13.0975, -59.6167, "13°05′51″N", "59°37′00″W",
         287025.0, 5209000000.0, 16330.8877, 15638.8299, False,
         False, False, "Barbadian dollar", "$", "BBD", "", "", 0.814,
    ],
    "belarus|^BY$|^BLR$": [
         "Belarus", "Belarus", "UN member state", "BY", "BLR", 112, ".by",
         "+375", 53.709807, 27.953389, "53°42′35.3″N", "27°57′12.2″E",
         "Europe", "Eastern Europe", "🇧🇾", 207600.0, 202900.0, 4700.0,
         "Minsk", 53.9, 27.5667, "53°54′N", "27°34′E", 9417849.0,
         63080457022.6599, 20101.115, 19249.2855, False, False,
         False, "Belarusian ruble", "Br", "BYN", 25.3, 0.7, 0.823,
    ],
    "belgium|^BE$|^BEL$": [
         "Belgium", "Belgium", "UN member state", "BE", "BEL", 56, ".be",
         "+32", 50.743715, 4.544685, "50°44′37.4″N", "4°32′40.9″E",
         "Europe", "Western Europe", "🇧🇪", 30528.0, 30278.0, 250.0,
         "Brussels", 50.8467, 4.3525, "50°50′48″N", "04°21′09″E",
         11502704.0, 533097455834.509, 56257.1575, 51830.7465, True,
         True, True, "Euro", "€", "EUR", 27.2, 0.76, 0.931,
    ],
    "belize|^BZ$|^BLZ$": [
         "Belize", "Belize", "UN member state", "BZ", "BLZ", 84, ".bz",
         "+501", 17.040101, -88.682464, "17°2′24.4″N", "88°40′56.9″W",
         "North America", "Central America", "🇧🇿", 22966.0, 22806.0,
         160.0, "Belmopan", 17.2514, -88.7669, "17°15′5″N", "88°46′1″W",
         390353.0, 1879613600.0, 7314.632, 7004.6582, False, False,
         False, "Belize dollar", "$", "BZD", "", "", 0.716,
    ],
    "benin|^BJ$|^BEN$": [
         "Benin", "Benin", "UN member state", "BJ", "BEN", 204, ".bj",
         "+229", 9.30769, 2.315834, "9°18′27.7″N", "2°18′57.0″E", "Africa",
         "Western Africa", "🇧🇯", 112622.0, 110622.0, 2000.0,
         "Porto-Novo", 6.4972, 2.605, "6°29′50″N", "2°36′18″E",
         11801151.0, 14390709094.9386, 3432.7813, 3287.3095, False,
         False, False, "West African CFA franc", "Fr", "XOF", 47.8,
         0.4, 0.545,
    ],
    "bermuda|^BM$|^BMU$": [
         "Bermuda", "Bermuda", "United Kingdom", "BM", "BMU", 60, ".bm",
         "+1 441", 32.306898, -64.753478, "32°18′24.8″N", "64°45′12.5″W",
         "North America", "Northern America", "🇧🇲", 54.0, 54.0, 0.0,
         "Hamilton", 32.2931, -64.7819, "32°17′35″N", "64°46′55″W",
         64027.0, 7484113000.0, 85272.2135, 81658.6133, False,
         False, False, "Bermudian dollar", "$", "BMD", "", "", "",
    ],
    "bhutan|^BT$|^BTN$": [
         "Bhutan", "Bhutan", "UN member state", "BT", "BTN", 64, ".bt",
         "+975", 27.514162, 90.433601, "27°30′51.0″N", "90°26′1.0″E",
         "Asia", "Southern Asia", "🇧🇹", 38394.0, 38394.0, 0.0, "Thimphu",
         27.4722, 89.6361, "27°28′20″N", "89°38′10″E", 763092.0,
         2530547157.56678, 12355.7936, 11832.1893, False, False,
         False, "Bhutanese ngultrum", "Nu.", "BTN", 37.4, 0.475, 0.654,
    ],
    ".*bolivia|^BO$|^BOL$": [
         "Bolivia (Plurinational State of)", "Bolivia", "UN member state",
         "BO", "BOL", 68, ".bo", "+591", -16.564784, -64.25347,
         "16°33′53.2″S", "64°15′12.5″W", "South America", "South America",
         "🇧🇴", 1098581.0, 1083301.0, 15280.0, "Sucre", -19.05,
         -65.25, "19°3′0″S", "65°15′0″W", 11513100.0, 40895322843.7851,
         9110.5558, 8724.4757, False, False, False,
         "Bolivian boliviano", "Bs.", "BOB", 41.6, "", 0.718,
    ],
    ".*bonaire|^BQ$|^BES$": [
         "Bonaire, Sint Eustatius and Saba",
         "Bonaire, Sint Eustatius and Saba", "Netherlands", "BQ", "BES", 535,
         ".bq", "+599", 12.18626, -68.258323, "12°11′10.5″N",
         "68°15′30.0″W", "North America", "Caribbean", "🇧🇶", "", "", "", "",
         "", "", "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    "bosnia|herzegovina|^BA$|^BIH$": [
         "Bosnia and Herzegovina", "Bosnia and Herzegovina", "UN member state",
         "BA", "BIH", 70, ".ba", "+387", 44.273078, 17.89616,
         "44°16′23.1″N", "17°53′46.2″E", "Europe", "Southern Europe", "🇧🇦",
         51197.0, 51187.0, 10.0, "Sarajevo", 43.8667, 18.4167,
         "43°52′N", "18°25′E", 3301000.0, 20164193806.88, 16288.8302,
         14922.1485, False, False, False,
         "Bosnia and Herzegovina convertible mark", "KM", "BAM", 33.0,
         0.58, 0.78,
    ],
    "botswana|^BW$|^BWA$": [
         "Botswana", "Botswana", "UN member state", "BW", "BWA", 72, ".bw",
         "+267", -22.328474, 24.684866, "22°19′42.5″S", "24°41′5.5″E",
         "Africa", "Southern Africa", "🇧🇼", 581730.0, 566730.0, 15000.0,
         "Gaborone", -24.6581, 25.9122, "24°39′29″S", "25°54′44″E",
         2303697.0, 18340480936.0444, 18552.7533, 17766.539, False,
         False, False, "Botswana pula", "P", "BWP", 53.3, 0.414,
         0.735,
    ],
    "bouvet|^BV$|^BVT$": [
         "Bouvet Island", "Bouvet Island", "Norway", "BV", "BVT", 74, "", "",
         -54.421291, 3.367051, "54°25′16.6″S", "3°22′1.4″E", "", "", "🇧🇻",
         49.0, 49.0, 0.0, "", "", "", "", "", "", "", "", "", False,
         False, False, "", "", "", "", "", "",
    ],
    "brazil|^BR$|^BRA$": [
         "Brazil", "Brazil", "UN member state", "BR", "BRA", 76, ".br",
         "+55", -10.031432, -50.645233, "10°1′53.2″S", "50°38′42.8″W",
         "South America", "South America", "🇧🇷", 8515770.0, 8358140.0,
         157630.0, "Brasília", -15.7939, -47.8828, "15°47′38″S",
         "47°52′58″W", 211049527.0, 1839758040765.62, 15299.9873,
         14651.6162, False, False, False, "Brazilian real", "R$",
         "BRL", 53.4, 0.551, 0.765,
    ],
    ".*british indian|^IO$|^IOT$": [
         "British Indian Ocean Territory (the)",
         "British Indian Ocean Territory", "United Kingdom", "IO", "IOT", 86,
         ".io", "+246", -7.328629, 72.444609, "7°19′43.1″S",
         "72°26′40.6″E", "", "", "🇮🇴", 60.0, 60.0, 54340.0, "", "", "",
         "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    ".*brunei|^BN$|^BRN$": [
         "Brunei Darussalam", "Brunei Darussalam", "UN member state", "BN",
         "BRN", 96, ".bn", "+673", 4.535277, 114.727669, "4°32′7.0″N",
         "114°43′39.6″E", "Asia", "South-Eastern Asia", "🇧🇳", 5765.0,
         5265.0, 500.0, "Bandar Seri Begawan", 4.8903, 114.9422,
         "4°53′25″N", "114°56′32″E", 433285.0, 13469422958.5105,
         64847.6517, 62099.5879, False, False, False,
         "Brunei dollar", "$", "BND", "", 0.626, 0.838,
    ],
    "bulgaria|^BG$|^BGR$": [
         "Bulgaria", "Bulgaria", "UN member state", "BG", "BGR", 100, ".bg",
         "+359", 42.733883, 25.48583, "42°44′2.0″N", "25°29′9.0″E",
         "Europe", "Eastern Europe", "🇧🇬", 110879.0, 108489.0, 2390.0,
         "Sofia", 42.7, 23.3333, "42°42′N", "23°20′E", 6975761.0,
         68558815111.6199, 25312.0802, 23265.6233, False, True,
         True, "Bulgarian lev", "лв.", "BGN", 41.3, 0.614, 0.816,
    ],
    "burkina|^BF$|^BFA$": [
         "Burkina Faso", "Burkina Faso", "UN member state", "BF", "BFA", 854,
         ".bf", "+226", 12.238333, -1.561593, "12°14′18.0″N",
         "1°33′41.7″W", "Africa", "Western Africa", "🇧🇫", 274200.0,
         273800.0, 400.0, "Ouagadougou", 12.3667, -1.5333, "12°22′N",
         "1°32′W", 20321378.0, 15990803569.9961, 2274.7197, 2178.3234,
         False, False, False, "West African CFA franc", "Fr", "XOF",
         35.3, 0.384, 0.452,
    ],
    "burundi|^BI$|^BDI$": [
         "Burundi", "Burundi", "UN member state", "BI", "BDI", 108, ".bi",
         "+257", -3.373056, 29.918886, "3°22′23.0″S", "29°55′8.0″E",
         "Africa", "Eastern Africa", "🇧🇮", 27830.0, 25680.0, 2150.0,
         "Gitega", -3.4333, 29.9, "3°26′S", "29°54′E", 11530580.0,
         3012334881.64057, 784.927, 751.664, False, False, False,
         "Burundian franc", "Fr", "BIF", 38.6, 0.386, 0.433,
    ],
    "cape verde|cabo verde|^CV$|^CPV$": [
         "Cabo Verde", "Cabo Verde", "UN member state", "CV", "CPV", 132,
         ".cv", "+238", 16.002082, -24.013197, "16°0′7.5″N", "24°0′47.5″W",
         "Africa", "Western Africa", "🇨🇻", 4033.0, 4033.0, 0.0, "Praia",
         14.9181, -23.5089, "14°55′05″N", "23°30′32″W", 549935.0,
         1981845740.35828, 7489.2115, 7171.8395, False, False,
         False, "Cape Verdean escudo", "$", "CVE", 42.4, "", 0.665,
    ],
    "cambodia|^KH$|^KHM$": [
         "Cambodia", "Cambodia", "UN member state", "KH", "KHM", 116, ".kh",
         "+855", 12.565679, 104.990963, "12°33′56.4″N", "104°59′27.5″E",
         "Asia", "South-Eastern Asia", "🇰🇭", 181035.0, 176515.0, 4520.0,
         "Phnom Penh", 11.5694, 104.9211, "11°34′10″N", "104°55′16″E",
         16486542.0, 27089389786.979, 4583.0165, 4388.8009, False,
         False, False, "Cambodian riel", "៛", "KHR", "", 0.492, 0.594,
    ],
    "cameroon|cameroun|^CM$|^CMR$": [
         "Cameroon", "Cameroon", "UN member state", "CM", "CMR", 120, ".cm",
         "+237", 5.336304, 12.327046, "5°20′10.7″N", "12°19′37.4″E",
         "Africa", "Middle Africa", "🇨🇲", 475440.0, 472710.0, 2730.0,
         "Yaoundé", 3.8667, 11.5167, "3°52′N", "11°31′E", 25876380.0,
         39007354359.2798, 3803.4572, 3642.2773, False, False,
         False, "Central African CFA franc", "Fr", "XAF", 46.6, 0.397,
         0.563,
    ],
    "canada|^CA$|^CAN$": [
         "Canada", "Canada", "UN member state", "CA", "CAN", 124, ".ca",
         "+1", 56.130366, -106.346771, "56°7′49.3″N", "106°20′48.4″W",
         "North America", "Northern America", "🇨🇦", 9984670.0, 9093507.0,
         891163.0, "Ottawa", 45.4247, -75.695, "45°25′29″N",
         "75°41′42″W", 37593384.0, 1736425629519.96, 51663.2492,
         48881.3968, True, False, False, "Canadian dollar", "$", "CAD",
         33.3, 0.798, 0.929,
    ],
    ".*cayman islands|^KY$|^CYM$": [
         "Cayman Islands (the)", "Cayman Islands", "United Kingdom", "KY",
         "CYM", 136, ".ky", "+1 345", 19.319566, -81.232474,
         "19°19′10.4″N", "81°13′56.9″W", "North America", "Caribbean", "🇰🇾",
         264.0, 264.0, 0.0, "George Town", 19.3033, -81.3864,
         "19°18′12″N", "81°23′11″W", 64948.0, "", "", "", False, False,
         False, "Cayman Islands dollar", "$", "KYD", "", "", "",
    ],
    ".*central african rep|car$|^CF$|^CAF$": [
         "Central African Republic (the)", "Central African Republic",
         "UN member state", "CF", "CAF", 140, ".cf", "+236", 6.611111,
         20.939444, "6°36′40.0″N", "20°56′22.0″E", "Africa", "Middle Africa",
         "🇨🇫", 622984.0, 622984.0, 0.0, "Bangui", 4.3733, 18.5628,
         "04°22′24″N", "18°33′46″E", 4745185.0, 2220307368.69593,
         986.6809, 944.8681, False, False, False,
         "Central African CFA franc", "Fr", "XAF", 56.2, 0.292, 0.397,
    ],
    "chad|^TD$|^TCD$": [
         "Chad", "Chad", "UN member state", "TD", "TCD", 148, ".td", "+235",
         15.454166, 18.732207, "15°27′15.0″N", "18°43′55.9″E", "Africa",
         "Middle Africa", "🇹🇩", 1284000.0, 1259200.0, 24800.0,
         "N'Djamena", 12.11, 15.05, "12°06′36″N", "15°03′00″E",
         15946876.0, 11314951342.7807, 1649.5292, 1579.6267, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 43.3,
         0.3, 0.398,
    ],
    "chile|^CL$|^CHL$": [
         "Chile", "Chile", "UN member state", "CL", "CHL", 152, ".cl", "+56",
         -35.675147, -71.542969, "35°40′30.5″S", "71°32′34.7″W",
         "South America", "South America", "🇨🇱", 756102.0, 743812.0,
         12290.0, "Santiago", -33.45, -70.6667, "33°27′S", "70°40′W",
         18952038.0, 282318159744.65, 27002.2618, 25131.4648, True,
         False, False, "Chilean peso", "$", "CLP", 44.4, 0.652,
         0.851,
    ],
    "(?!.*hong kong|.*taiwan|.*macau|.*macao).*china|^CN$|^CHN$": [
         "China", "China", "UN member state", "CN", "CHN", 156, ".cn", "+86",
         35.86166, 104.195397, "35°51′42.0″N", "104°11′43.4″E", "Asia",
         "Eastern Asia", "🇨🇳", 9596960.0, 9326410.0, 270550.0, "Beijing",
         39.9067, 116.3975, "39°54′24″N", "116°23′51″E", 1397715000.0,
         14279937467431.0, 16804.4258, 16092.3008, False, False,
         False, "Renminbi", "¥ or 元", "CNY", 38.5, 0.653, 0.761,
    ],
    "christmas|^CX$|^CXR$": [
         "Christmas Island", "Christmas Island", "Australia", "CX", "CXR",
         162, ".cx", "+61", -10.447525, 105.690449, "10°26′51.1″S",
         "105°41′25.6″E", "", "", "🇨🇽", 135.0, 135.0, 0.0,
         "Flying Fish Cove", "", "", "not found", "not found", "", "", "", "",
         False, False, False, "Australian dollar", "$", "AUD", "", "",
         "",
    ],
    ".*cocos|^CC$|^CCK$": [
         "Cocos (Keeling) Islands (the)", "Cocos (Keeling) Islands",
         "Australia", "CC", "CCK", 166, ".cc", "+61", -12.164165,
         96.870956, "12°9′51.0″S", "96°52′15.4″E", "", "", "🇨🇨", 14.0,
         14.0, 0.0, "West Island", -12.1869, 96.8283, "12°11′13″S",
         "96°49′42″E", "", "", "", "", False, False, False,
         "Australian dollar", "$", "AUD", "", "", "",
    ],
    "colombia|^CO$|^COL$": [
         "Colombia", "Colombia", "UN member state", "CO", "COL", 170, ".co",
         "+57", 3.571191, -72.856744, "3°34′16.3″N", "72°51′24.3″W",
         "South America", "South America", "🇨🇴", 1138910.0, 1038700.0,
         100210.0, "Bogotá", 4.7111, -74.0722, "4°42′40″N", "74°4′20″W",
         50339443.0, 323615979418.651, 16012.4457, 14624.9713, True,
         False, False, "Colombian peso", "$", "COP", 51.3, 0.604,
         0.767,
    ],
    ".*comoros|^KM$|^COM$": [
         "Comoros (the)", "Comoros", "UN member state", "KM", "COM", 174,
         ".km", "+269", -11.875001, 43.872219, "11°52′30.0″S",
         "43°52′20.0″E", "Africa", "Eastern Africa", "🇰🇲", 2235.0, 2235.0,
         0.0, "Moroni", -11.6989, 43.2561, "11°41′56″S", "43°15′22″E",
         850886.0, 1165839927.06327, 3194.9007, 3059.5097, False,
         False, False, "Comorian franc", "Fr", "KMF", 45.3, 0.405,
         0.554,
    ],
    "(?!,*brazzaville).*(?=.*dem|DR|.*kinshasa).*congo|kinshasa|DRC|DROC|^CD$|^COD$": [
         "Congo (the Democratic Republic of the)",
         "Democratic Republic of the Congo", "UN member state", "CD", "COD",
         180, ".cd", "+243", -2.764356, 23.711724, "2°45′51.7″S",
         "23°42′42.2″E", "Africa", "Middle Africa", "🇨🇩", 2344858.0,
         2267048.0, 77810.0, "Kinshasa", -4.325, 15.3222, "4°19′30″S",
         "15°19′20″E", 86790567.0, 50400746171.4239, 1146.5359,
         1097.9489, False, False, False, "Congolese franc", "Fr",
         "CDF", 42.1, 0.366, 0.48,
    ],
    "(?!.*kinshasa|DR|.*dem).*(congo|brazzaville)|^CG$|^COG$": [
         "Congo (the)", "Congo", "UN member state", "CG", "COG", 178, ".cg",
         "+242", -0.961883, 15.746202, "0°57′42.8″S", "15°44′46.3″E",
         "Africa", "Middle Africa", "🇨🇬", 342000.0, 341500.0, 500.0,
         "Brazzaville", -4.2678, 15.2919, "4°16′4″S", "15°17′31″E",
         5380508.0, 12267392146.5888, 3835.6626, 3673.1178, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 48.9,
         0.419, 0.574,
    ],
    ".*cook|^CK$|^COK$": [
         "Cook Islands (the)", "Cook Islands",
         "Member of 8 UN specialized agencies", "CK", "COK", 184, ".ck",
         "+682", -21.236736, -159.777671, "21°14′12.2″S", "159°46′39.6″W",
         "Oceania", "Polynesia", "🇨🇰", 236.0, 236.0, 0.0, "Avarua",
         -21.2069, -159.7708, "21°12′25″S", "159°46′15″W", "", "", "", "",
         False, False, False, "Cook Islands dollar", "$", "CKD", "", "",
         "",
    ],
    "costa rica|^CR$|^CRI$": [
         "Costa Rica", "Costa Rica", "UN member state", "CR", "CRI", 188,
         ".cr", "+506", 9.748917, -83.753428, "9°44′56.1″N",
         "83°45′12.3″W", "North America", "Central America", "🇨🇷", 51100.0,
         51060.0, 40.0, "San José", 9.9333, -84.0833, "9°56′N",
         "84°5′W", 5047561.0, 61801385049.0716, 21737.6499, 20296.8215,
         False, False, False, "Costa Rican colón", "₡", "CRC", 48.2,
         0.629, 0.81,
    ],
    "croatia|^HR$|^HRV$": [
         "Croatia", "Croatia", "UN member state", "HR", "HRV", 191, ".hr",
         "+385", 45.1, 15.2, "45°6′0.0″N", "15°11′60.0″E", "Europe",
         "Southern Europe", "🇭🇷", 56594.0, 55974.0, 620.0, "Zagreb",
         45.8167, 15.9833, "45°49′N", "15°59′E", 4065253.0,
         60752588976.3175, 31148.0008, 28845.2905, False, True,
         True, "Croatian kuna", "kn", "HRK", 29.7, 0.71, 0.851,
    ],
    "cuba|^CU$|^CUB$": [
         "Cuba", "Cuba", "UN member state", "CU", "CUB", 192, ".cu", "+53",
         21.937697, -78.631976, "21°56′15.7″N", "78°37′55.1″W",
         "North America", "Caribbean", "🇨🇺", 110860.0, 109820.0, 1040.0,
         "Havana", 23.1367, -82.3589, "23°08′12″N", "82°21′32″W",
         11333483.0, "", "", "", False, False, False, "Cuban peso",
         "$", "CUP", "", "", 0.783,
    ],
    "curaçao|curacao|^CW$|^CUW$": [
         "Curaçao", "Curaçao", "Netherlands", "CW", "CUW", 531, ".cw",
         "+599", 12.175014, -68.979014, "12°10′30.1″N", "68°58′44.5″W",
         "North America", "Caribbean", "🇨🇼", 444.0, 444.0, 0.0,
         "Willemstad", 12.1167, -68.9333, "12°7′N", "68°56′W", 157441.0,
         3101787709.49721, 25578.2792, 24494.3426, False, False,
         False, "Netherlands Antillean guilder", "ƒ", "ANG", "", "", "",
    ],
    "cyprus|^CY$|^CYP$": [
         "Cyprus", "Cyprus", "UN member state", "CY", "CYP", 196, ".cy",
         "+357", 35.126413, 33.429859, "35°7′35.1″N", "33°25′47.5″E",
         "Asia", "Western Asia", "🇨🇾", 9251.0, 9241.0, 10.0, "Nicosia",
         35.1725, 33.365, "35°10′21″N", "33°21′54″E", 1198575.0,
         24948935408.0376, 41254.4046, 39544.6818, False, True,
         True, "Euro", "€", "EUR", 32.7, 0.756, 0.887,
    ],
    "czech|^CZ$|^CZE$": [
         "Czechia", "Czechia", "UN member state", "CZ", "CZE", 203, ".cz",
         "+420", 49.817492, 15.472962, "49°49′3.0″N", "15°28′22.7″E",
         "Europe", "Eastern Europe", "🇨🇿", 78867.0, 77247.0, 1620.0,
         "Prague", 50.0833, 14.4167, "50°5′N", "14°25′E", 10671870.0,
         250680504529.647, 44286.9475, 40828.0598, True, True,
         True, "Czech koruna", "Kč", "CZK", 25.0, 0.752, 0.9,
    ],
    "côte d.*ivoire|cote d.*ivoire|ivory coast|^CI$|^CIV$": [
         "Côte d'Ivoire", "Côte d'Ivoire", "UN member state", "CI", "CIV",
         384, ".ci", "+225", 7.539989, -5.54708, "7°32′24.0″N",
         "5°32′49.5″W", "Africa", "Western Africa", "🇨🇮", 322463.0,
         318003.0, 4460.0, "Yamoussoukro", 6.8161, -5.2742,
         "06°48′58″N", "05°16′27″W", 25716544.0, 58539424929.7248,
         5443.2248, 5212.556, False, False, False,
         "West African CFA franc", "Fr", "XOF", 41.5, 0.38, 0.538,
    ],
    "denmark|^DK$|^DNK$": [
         "Denmark", "Denmark", "UN member state", "DK", "DNK", 208, ".dk",
         "+45", 55.726275, 9.895666, "55°43′34.6″N", "9°53′44.4″E",
         "Europe", "Northern Europe", "🇩🇰", 43094.0, 42434.0, 660.0,
         "Copenhagen", 55.6761, 12.5683, "55°40′34″N", "12°34′06″E",
         5814422.0, 350104327658.675, 62134.0278, 57862.2783, True,
         True, True, "Danish krone", "kr", "DKK", 28.2, 0.755, 0.94,
    ],
    "djibouti|^DJ$|^DJI$": [
         "Djibouti", "Djibouti", "UN member state", "DJ", "DJI", 262, ".dj",
         "+253", 11.825138, 42.590275, "11°49′30.5″N", "42°35′25.0″E",
         "Africa", "Eastern Africa", "🇩🇯", 23200.0, 23180.0, 20.0,
         "Djibouti", 11.5883, 43.145, "11°35′18″N", "43°08′42″E",
         973560.0, 3324634256.13324, 5779.6758, 5534.7491, False,
         False, False, "Djiboutian franc", "Fr", "DJF", 41.6, "",
         0.524,
    ],
    "(?!.*rep).*dominica|.*dominique|^DM$|^DMA$": [
         "Dominica", "Dominica", "UN member state", "DM", "DMA", 212, ".dm",
         "+1 767", 15.437664, -61.33912, "15°26′15.6″N", "61°20′20.8″W",
         "North America", "Caribbean", "🇩🇲", 751.0, 751.0, "", "Roseau",
         15.3014, -61.3883, "15°18′05″N", "61°23′18″W", 71808.0,
         582403703.703704, 12444.4411, 11917.0802, False, False,
         False, "Eastern Caribbean dollar", "$", "XCD", "", 0.545, 0.742,
    ],
    ".*dominican republic|^DO$|^DOM$": [
         "Dominican Republic (the)", "Dominican Republic", "UN member state",
         "DO", "DOM", 214, ".do", "+1 809, +1 829, +1 849", 18.735693,
         -70.162651, "18°44′8.5″N", "70°9′45.5″W", "North America",
         "Caribbean", "🇩🇴", 48670.0, 48320.0, 350.0, "Santo Domingo",
         18.4667, -69.95, "18°28′N", "69°57′W", 10738958.0,
         88941299734.2073, 19227.7156, 18412.8983, False, False,
         False, "Dominican peso", "RD$", "DOP", 41.9, 0.503, 0.756,
    ],
    "ecuador|^EC$|^ECU$": [
         "Ecuador", "Ecuador", "UN member state", "EC", "ECU", 218, ".ec",
         "+593", -1.350535, -78.467856, "1°21′1.9″S", "78°28′4.3″W",
         "South America", "South America", "🇪🇨", 283561.0, 276841.0,
         6720.0, "Quito", -0.2333, -78.5167, "00°14′S", "78°31′W",
         17373662.0, 107435665000.0, 11878.7184, 11375.3312, False,
         False, False, "United States dollar", "$", "USD", 45.7, 0.594,
         0.759,
    ],
    "egypt|^EG$|^EGY$": [
         "Egypt", "Egypt", "UN member state", "EG", "EGY", 818, ".eg", "+20",
         26.448888, 29.671689, "26°26′56.0″N", "29°40′18.1″E", "Africa",
         "Northern Africa", "🇪🇬", 1001450.0, 995450.0, 6000.0, "Cairo",
         30.0333, 31.2333, "30°2′N", "31°14′E", 100388073.0,
         303092255125.285, 12283.8074, 11763.2536, False, False,
         False, "Egyptian pound", "E£ or ج.م", "EGP", 31.5, 0.494,
         0.707,
    ],
    ".*salvador|^SV$|^SLV$": [
         "El Salvador", "El Salvador", "UN member state", "SV", "SLV", 222,
         ".sv", "+503", 13.794185, -88.89653, "13°47′39.1″N",
         "88°53′47.5″W", "North America", "Central America", "🇸🇻", 21041.0,
         20721.0, 320.0, "San Salvador", 13.6989, -89.1914,
         "13°41′56″N", "89°11′29″W", 6453553.0, 27022640000.0, 9164.3461,
         8775.9865, False, False, False, "United States dollar", "$",
         "USD", 38.8, 0.546, 0.673,
    ],
    ".*equatorial guinea|^GQ$|^GNQ$": [
         "Equatorial Guinea", "Equatorial Guinea", "UN member state", "GQ",
         "GNQ", 226, ".gq", "+240", 1.604619, 10.455341, "1°36′16.6″N",
         "10°27′19.2″E", "Africa", "Middle Africa", "🇬🇶", 28051.0, 28051.0,
         0.0, "Malabo", 3.7521, 8.7737, "3°45′7.43″N", "8°46′25.32″E",
         1355986.0, 11026774945.3415, 19379.2425, 18558.0039, False,
         False, False, "Central African CFA franc", "Fr", "XAF", "", "",
         0.592,
    ],
    "eritrea|^ER$|^ERI$": [
         "Eritrea", "Eritrea", "UN member state", "ER", "ERI", 232, ".er",
         "+291", 15.179384, 39.782334, "15°10′45.8″N", "39°46′56.4″E",
         "Africa", "Eastern Africa", "🇪🇷", 117600.0, 101000.0, 16600.0,
         "Asmara", 15.3228, 38.925, "15°19′22″N", "38°55′30″E", "", "", "",
         "", False, False, False, "Eritrean nakfa", "Nfk", "ERN", "", "",
         0.459,
    ],
    "estonia|^EE$|^EST$": [
         "Estonia", "Estonia", "UN member state", "EE", "EST", 233, ".ee",
         "+372", 58.703289, 25.824336, "58°42′11.8″N", "25°49′27.6″E",
         "Europe", "Northern Europe", "🇪🇪", 45228.0, 42388.0, 2840.0,
         "Tallinn", 59.4372, 24.7453, "59°26′14″N", "24°44′43″E",
         1326898.0, 31471100656.2431, 39976.9555, 36947.7061, True,
         True, True, "Euro", "€", "EUR", 30.3, 0.777, 0.892,
    ],
    "eswatini|swaziland|^SZ$|^SWZ$": [
         "Eswatini", "Eswatini", "UN member state", "SZ", "SWZ", 748, ".sz",
         "+268", -26.522503, 31.465866, "26°31′21.0″S", "31°27′57.1″E",
         "Africa", "Southern Africa", "🇸🇿", 17364.0, 17204.0, 160.0,
         "Lobamba, Mbabane", -26.4167, 31.1667, "26°25′0″S", "31°10′0″E",
         1148130.0, 4471598726.6436, 9003.3642, 8621.8266, False,
         False, False, "Swazi lilangeni", "L", "SZL", 54.6, 0.373,
         0.611,
    ],
    "ethiopia|^ET$|^ETH$": [
         "Ethiopia", "Ethiopia", "UN member state", "ET", "ETH", 231, ".et",
         "+251", 8.784563, 39.573711, "8°47′4.4″N", "39°34′25.4″E",
         "Africa", "Eastern Africa", "🇪🇹", 1104300.0, 1096570.0, 7730.0,
         "Addis Ababa", 9.03, 38.74, "9°1′48″N", "38°44′24″E",
         112078730.0, 95912590628.1412, 2319.7074, 2221.4046, False,
         False, False, "Ethiopian birr", "Br", "ETB", 35.0, 0.383,
         0.485,
    ],
    ".*falkland|^FK$|^FLK$": [
         "Falkland Islands (the) [Malvinas]", "Falkland Islands",
         "United Kingdom", "FK", "FLK", 238, ".fk", "+500", -51.796253,
         -59.523613, "51°47′46.5″S", "59°31′25.0″W", "South America",
         "South America", "🇫🇰", 12173.0, 12173.0, 0.0, "Stanley",
         -51.6944, -57.8528, "51°41′40″S", "57°51′10″W", "", "", "", "",
         False, False, False, "Falkland Islands pound", "£", "FKP", "",
         "", "",
    ],
    ".*faroe|^FO$|^FRO$": [
         "Faroe Islands (the)", "Faroe Islands ", "Denmark", "FO", "FRO",
         234, ".fo", "+298", 62.042103, -6.893899, "62°2′31.6″N",
         "6°53′38.0″W", "Europe", "Northern Europe", "🇫🇴", 1393.0, 1393.0,
         0.0, "Tórshavn", 62.0117, -6.7675, "62°0′42″N", "6°46′3″W",
         48678.0, "", "", "", False, False, False, "Faroese króna",
         "kr", "FOK", "", "", "",
    ],
    "fiji|^FJ$|^FJI$": [
         "Fiji", "Fiji", "UN member state", "FJ", "FJI", 242, ".fj", "+679",
         -16.578193, 179.414413, "16°34′41.5″S", "179°24′51.9″E",
         "Oceania", "Melanesia", "🇫🇯", 18274.0, 18274.0, 0.0, "Suva",
         -18.1417, 178.4419, "18°08′30″S", "178°26′31″E", 889953.0,
         5496250694.31587, 14289.9605, 13684.3916, False, False,
         False, "Fijian dollar", "$", "FJD", 36.7, 0.509, 0.743,
    ],
    "finland|^FI$|^FIN$": [
         "Finland", "Finland", "UN member state", "FI", "FIN", 246, ".fi",
         "+358", 62.840988, 26.284863, "62°50′27.6″N", "26°17′5.5″E",
         "Europe", "Northern Europe", "🇫🇮", 338145.0, 303815.0, 34330.0,
         "Helsinki", 60.1708, 24.9375, "60°10′15″N", "24°56′15″E",
         5521606.0, 269296310180.392, 53159.1435, 48802.8881, True,
         True, True, "Euro", "€", "EUR", 27.3, 0.796, 0.938,
    ],
    "france|^FR$|^FRA$": [
         "France", "France", "UN member state", "FR", "FRA", 250, ".fr",
         "+33", 46.719774, 2.736604, "46°43′11.2″N", "2°44′11.8″E",
         "Europe", "Western Europe", "🇫🇷", 643801.0, 640427.0, 3374.0,
         "Paris", 48.8567, 2.3522, "48°51′24″N", "2°21′08″E", 67055854.0,
         2715518274227.45, 50996.0281, 46112.958, True, True, True,
         "Euro", "€", "EUR", 32.4, 0.763, 0.901,
    ],
    "french guiana|^GF$|^GUF$": [
         "French Guiana", "French Guiana", "France", "GF", "GUF", 254, ".gf",
         "+594", 3.933889, -53.125782, "3°56′2.0″N", "53°7′32.8″W",
         "South America", "South America", "🇬🇫", "", "", "", "", "", "", "",
         "", "", "", "", "", False, False, False, "Euro", "€", "EUR", "",
         "", "",
    ],
    "french polynesia|^PF$|^PYF$": [
         "French Polynesia", "French Polynesia", "France", "PF", "PYF", 258,
         ".pf", "+689", -17.679742, -149.406843, "17°40′47.1″S",
         "149°24′24.6″W", "Oceania", "Polynesia", "🇵🇫", 4167.0, 3827.0,
         340.0, "Papeete", -17.535, -149.5697, "17°32′06″S",
         "149°34′11″W", 279287.0, "", "", "", False, False, False,
         "CFP franc", "₣", "XPF", "", "", "",
    ],
    ".*french southern|^TF$|^ATF$": [
         "French Southern Territories (the)", "French Southern Territories",
         "France", "TF", "ATF", 260, ".tf", "", -49.280366, 69.348557,
         "49°16′49.3″S", "69°20′54.8″E", "", "", "🇹🇫", "", "", "", "", "", "",
         "", "", "", "", "", "", False, False, False, "Euro", "€", "EUR",
         "", "", "",
    ],
    ".*gabon|^GA$|^GAB$": [
         "Gabon", "Gabon", "UN member state", "GA", "GAB", 266, ".ga",
         "+241", -0.803689, 11.609444, "0°48′13.3″S", "11°36′34.0″E",
         "Africa", "Middle Africa", "🇬🇦", 267667.0, 257667.0, 10000.0,
         "Libreville", 0.3903, 9.4542, "0°23′25″N", "9°27′15″E",
         2172579.0, 16874450215.1351, 15611.6486, 14950.0702, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 38.0,
         0.458, 0.703,
    ],
    ".*gambia|^GM$|^GMB$": [
         "Gambia (the)", "Gambia", "UN member state", "GM", "GMB", 270,
         ".gm", "+220", 13.516506, -15.404133, "13°30′59.4″N",
         "15°24′14.9″W", "Africa", "Western Africa", "🇬🇲", 11300.0,
         10120.0, 1180.0, "Banjul", 13.4531, -16.5775, "13°27′11″N",
         "16°34′39″W", 2347706.0, 1826073739.82522, 2321.2377,
         2222.8701, False, False, False, "Gambian dalasi", "D", "GMD",
         35.9, 0.422, 0.496,
    ],
    "georgia|^GE$|^GEO$": [
         "Georgia", "Georgia", "UN member state", "GE", "GEO", 268, ".ge",
         "+995", 42.116276, 43.689504, "42°6′58.6″N", "43°41′22.2″E",
         "Asia", "Western Asia", "🇬🇪", 69700.0, 69700.0, 0.0, "Tbilisi",
         41.7225, 44.7925, "41°43′21″N", "44°47′33″E", 3720161.0,
         17477255545.6705, 15656.6039, 14993.1204, False, False,
         False, "Georgian lari", "₾", "GEL", 35.9, 0.569, 0.812,
    ],
    "germany|^DE$|^DEU$": [
         "Germany", "Germany", "UN member state", "DE", "DEU", 276, ".de",
         "+49", 51.165691, 10.451526, "51°9′56.5″N", "10°27′5.5″E",
         "Europe", "Western Europe", "🇩🇪", 357022.0, 348672.0, 8350.0,
         "Berlin", 52.52, 13.405, "52°31′12″N", "13°24′18″E", 83092962.0,
         3861123558039.21, 57557.8846, 53810.5655, True, True,
         True, "Euro", "€", "EUR", 31.9, 0.751, 0.947,
    ],
    ".*ghana|^GH$|^GHA$": [
         "Ghana", "Ghana", "UN member state", "GH", "GHA", 288, ".gh",
         "+233", 7.946527, -1.023194, "7°56′47.5″N", "1°1′23.5″W",
         "Africa", "Western Africa", "🇬🇭", 238533.0, 227533.0, 11000.0,
         "Accra", 5.55, -0.2, "5°33′N", "0°12′W", 30417856.0,
         66983634223.943, 5652.1506, 5412.6281, False, False,
         False, "Ghanaian cedi", "₵", "GHS", 43.5, 0.45, 0.611,
    ],
    "gibraltar|^GI$|^GIB$": [
         "Gibraltar", "Gibraltar", "United Kingdom", "GI", "GIB", 292, ".gi",
         "+350", 36.134934, -5.348643, "36°8′5.8″N", "5°20′55.1″W",
         "Europe", "Southern Europe", "🇬🇮", 6.5, 6.5, 0.0, "Gibraltar",
         36.1333, -5.35, "36°8′N", "5°21′W", 33701.0, "", "", "",
         False, False, False, "Gibraltar pound", "£", "GIP", "", "", "",
    ],
    "greece|^GR$|^GRC$": [
         "Greece", "Greece", "UN member state", "GR", "GRC", 300, ".gr",
         "+30", 39.074208, 21.824312, "39°4′27.1″N", "21°49′27.5″E",
         "Europe", "Southern Europe", "🇬🇷", 131957.0, 130647.0, 1310.0,
         "Athens", 37.9842, 23.7281, "37°59′03″N", "23°43′41″E",
         10717169.0, 209852761132.839, 32503.7899, 30463.041, True,
         True, True, "Euro", "€", "EUR", 32.9, 0.69, 0.888,
    ],
    "greenland|^GL$|^GRL$": [
         "Greenland", "Greenland", "Denmark", "GL", "GRL", 304, ".gl",
         "+299", 64.629624, -45.695839, "64°37′46.6″N", "45°41′45.0″W",
         "North America", "Northern America", "🇬🇱", 2166086.0, 2166086.0,
         "", "Nuuk", 64.1814, -51.6942, "64°10′53″N", "51°41′39″W",
         56225.0, "", "", "", False, False, False, "Danish krone",
         "kr", "DKK", "", "", "",
    ],
    "grenada|^GD$|^GRD$": [
         "Grenada", "Grenada", "UN member state", "GD", "GRD", 308, ".gd",
         "+1 473", 12.120106, -61.677444, "12°7′12.4″N", "61°40′38.8″W",
         "North America", "Caribbean", "🇬🇩", 344.0, 344.0, 0.0,
         "St. George's", 12.05, -61.75, "12°3′N", "61°45′W", 112003.0,
         1210603703.7037, 17792.9086, 17038.8945, False, False,
         False, "Eastern Caribbean dollar", "$", "XCD", "", 0.565, 0.779,
    ],
    "guadeloupe|^GP$|^GLP$": [
         "Guadeloupe", "Guadeloupe", "France", "GP", "GLP", 312, ".gp",
         "+590", 16.254246, -61.568592, "16°15′15.3″N", "61°34′6.9″W",
         "North America", "Caribbean", "🇬🇵", "", "", "", "", "", "", "", "",
         "", "", "", "", False, False, False, "Euro", "€", "EUR", "", "",
         "",
    ],
    "guam|^GU$|^GUM$": [
         "Guam", "Guam", "United States of America", "GU", "GUM", 316, ".gu",
         "+1 671", 13.444304, 144.793731, "13°26′39.5″N", "144°47′37.4″E",
         "Oceania", "Micronesia", "🇬🇺", 544.0, 544.0, 0.0, "Hagåtña",
         13.4792, 144.75, "13°28′45″N", "144°45′00″E", 167294.0, "", "",
         "", False, False, False, "United States dollar", "$", "USD", "",
         "", "",
    ],
    "guatemala|^GT$|^GTM$": [
         "Guatemala", "Guatemala", "UN member state", "GT", "GTM", 320,
         ".gt", "+502", 15.628067, -90.433576, "15°37′41.0″N",
         "90°26′0.9″W", "North America", "Central America", "🇬🇹", 108889.0,
         107159.0, 1730.0, "Guatemala City", 14.6133, -90.5353,
         "14°36′48″N", "90°32′7″W", 16604026.0, 76710355347.0968,
         9019.6938, 8637.4642, False, False, False,
         "Guatemalan quetzal", "Q", "GTQ", 48.3, 0.461, 0.663,
    ],
    "guernsey|^GG$|^GGY$": [
         "Guernsey", "Guernsey", "United Kingdom", "GG", "GGY", 831, ".gg",
         "+44 1481", 49.455257, -2.576448, "49°27′18.9″N", "2°34′35.2″W",
         "Europe", "Northern Europe", "🇬🇬", 78.0, 78.0, 0.0,
         "St. Peter Port", 49.4556, -2.5367, "49°27′20″N", "2°32′12″W", "",
         "", "", "", False, False, False, "Guernsey pound", "£", "GGP",
         "", "", "",
    ],
    "(?!.*bissau|.*new|.*equatorial).*guinea|^GN$|^GIN$": [
         "Guinea", "Guinea", "UN member state", "GN", "GIN", 324, ".gn",
         "+224", 10.73705, -10.67156, "10°44′13.4″N", "10°40′17.6″W",
         "Africa", "Western Africa", "🇬🇳", 245857.0, 245717.0, 140.0,
         "Conakry", 9.5167, -13.7, "9°31′N", "13°42′W", 12771246.0,
         12296665331.192, 2675.4616, 2562.0829, False, False,
         False, "Guinean franc", "Fr", "GNF", 33.7, 0.371, 0.477,
    ],
    "guinea.*bissau|^GW$|^GNB$": [
         "Guinea-Bissau", "Guinea-Bissau", "UN member state", "GW", "GNB",
         624, ".gw", "+245", 11.803749, -15.180413, "11°48′13.5″N",
         "15°10′49.5″W", "Africa", "Western Africa", "🇬🇼", 36125.0,
         28120.0, 8005.0, "Bissau", 11.85, -15.5667, "11°51′N",
         "15°34′W", 1920922.0, 1339449165.48759, 2077.4017, 1989.3671,
         False, False, False, "West African CFA franc", "Fr", "XOF",
         50.7, "", 0.48,
    ],
    "guyana|^GY$|^GUY$": [
         "Guyana", "Guyana", "UN member state", "GY", "GUY", 328, ".gy",
         "+592", 4.860416, -58.93018, "4°51′37.5″N", "58°55′48.6″W",
         "South America", "South America", "🇬🇾", 214969.0, 196849.0,
         18120.0, "Georgetown", 6.8011, -58.1553, "6°48′4″N",
         "58°9′19″W", 782766.0, 5173759527.57794, 13661.2802,
         13082.353, False, False, False, "Guyanese dollar", "$", "GYD",
         "", 0.495, 0.682,
    ],
    "haiti|^HT$|^HTI$": [
         "Haiti", "Haiti", "UN member state", "HT", "HTI", 332, ".ht",
         "+509", 19.058396, -72.443958, "19°3′30.2″N", "72°26′38.2″W",
         "North America", "Caribbean", "🇭🇹", 27750.0, 27560.0, 190.0,
         "Port-au-Prince", 18.5333, -72.3333, "18°32′N", "72°20′W",
         11263077.0, 14332163266.3977, 3034.0121, 2905.4391, False,
         False, False, "Haitian gourde", "G", "HTG", 41.1, 0.447,
         0.51,
    ],
    ".*heard|^HM$|^HMD$": [
         "Heard Island and McDonald Islands",
         "Heard Island and McDonald Islands", "Australia", "HM", "HMD", 334,
         ".hm", "+672", -53.08181, 73.504158, "53°4′54.5″S",
         "73°30′15.0″E", "", "", "🇭🇲", 412.0, 412.0, 0.0, "", "", "", "",
         "", "", "", "", "", False, False, False, "", "", "", "", "", "",
    ],
    ".*holy see|.*vatican|^VA$|^VAT$": [
         "Holy See (the)", "Holy See", "UN observer state", "VA", "VAT", 336,
         ".va", "+379", 41.902916, 12.453389, "41°54′10.5″N",
         "12°27′12.2″E", "Europe", "Southern Europe", "🇻🇦", 0.44, 0.44,
         0.0, "Vatican City", 41.9025, 12.4525, "41°54′09″N",
         "12°27′09″E", "", "", "", "", False, False, False, "Euro", "€",
         "EUR", "", "", "",
    ],
    "honduras|^HN$|^HND$": [
         "Honduras", "Honduras", "UN member state", "HN", "HND", 340, ".hn",
         "+504", 14.833734, -86.998054, "14°50′1.4″N", "86°59′53.0″W",
         "North America", "Central America", "🇭🇳", 112090.0, 111890.0,
         200.0, "Tegucigalpa", 14.1, -87.2167, "14°6′N", "87°13′W",
         9746117.0, 25095395475.0393, 5981.4509, 5727.9736, False,
         False, False, "Honduran lempira", "L", "HNL", 48.2, 0.481,
         0.634,
    ],
    "hong kong|^HK$|^HKG$": [
         "Hong Kong", "Hong Kong", "China", "HK", "HKG", 344, ".hk", "+852",
         22.396428, 114.109497, "22°23′47.1″N", "114°6′34.2″E", "Asia",
         "Eastern Asia", "🇭🇰", 1108.0, 1073.0, 35.0, "", "", "", "", "",
         7507400.0, 365711532816.907, 62495.9599, 59847.5543, False,
         False, False, "Hong Kong dollar", "$", "HKD", "", 0.813,
         0.949,
    ],
    "hungary|^HU$|^HUN$": [
         "Hungary", "Hungary", "UN member state", "HU", "HUN", 348, ".hu",
         "+36", 47.162494, 19.503304, "47°9′45.0″N", "19°30′11.9″E",
         "Europe", "Eastern Europe", "🇭🇺", 93028.0, 89608.0, 3420.0,
         "Budapest", 47.4925, 19.0514, "47°29′33″N", "19°03′05″E",
         9771141.0, 163469042867.956, 34962.0325, 32639.5083, True,
         True, True, "Hungarian forint", "Ft", "HUF", 29.6, 0.683,
         0.854,
    ],
    "iceland|^IS$|^ISL$": [
         "Iceland", "Iceland", "UN member state", "IS", "ISL", 352, ".is",
         "+354", 64.880678, -18.409548, "64°52′50.4″N", "18°24′34.4″W",
         "Europe", "Northern Europe", "🇮🇸", 103000.0, 100250.0, 2750.0,
         "Reykjavík", 64.1475, -21.935, "64°08′51″N", "21°56′06″W",
         360563.0, 24188038473.5438, 60257.5346, 55699.7164, True,
         False, True, "Icelandic króna", "kr", "ISK", 26.1, 0.745,
         0.949,
    ],
    "india$|^IN$|^IND$": [
         "India", "India", "UN member state", "IN", "IND", 356, ".in", "+91",
         20.593684, 78.96288, "20°35′37.3″N", "78°57′46.4″E", "Asia",
         "Southern Asia", "🇮🇳", 3287263.0, 2973193.0, 314070.0,
         "New Delhi", 28.6139, 77.2089, "28°36′50″N", "77°12′32″E",
         1366417754.0, 2868929415617.02, 6996.5569, 6700.0622, False,
         False, False, "Indian rupee", "₹", "INR", 35.7, 0.494,
         0.645,
    ],
    "indonesia|^ID$|^IDN$": [
         "Indonesia", "Indonesia", "UN member state", "ID", "IDN", 360,
         ".id", "+62", -0.789275, 113.921327, "0°47′21.4″S",
         "113°55′16.8″E", "Asia", "South-Eastern Asia", "🇮🇩", 1904569.0,
         1811569.0, 93000.0, "Jakarta", -6.2, 106.8167, "6°12′S",
         "106°49′E", 270625568.0, 1119190780752.8, 12334.9173,
         11812.1976, False, False, False, "Indonesian rupiah", "Rp",
         "IDR", 38.2, 0.54, 0.718,
    ],
    ".*iran|^IR$|^IRN$": [
         "Iran (Islamic Republic of)", "Iran", "UN member state", "IR", "IRN",
         364, ".ir", "+98", 32.427908, 53.688046, "32°25′40.5″N",
         "53°41′17.0″E", "Asia", "Southern Asia", "🇮🇷", 1648195.0,
         1531595.0, 116600.0, "Tehran", 35.6892, 51.3889, "35°41′21″N",
         "51°23′20″E", 82913906.0, "", 12937.476, 12389.2216, False,
         False, False, "Iranian rial", "﷼", "IRR", 42.0, 0.593,
         0.783,
    ],
    ".*iraq|^IQ$|^IRQ$": [
         "Iraq", "Iraq", "UN member state", "IQ", "IRQ", 368, ".iq", "+964",
         33.223191, 43.679291, "33°13′23.5″N", "43°40′45.4″E", "Asia",
         "Western Asia", "🇮🇶", 438317.0, 437367.0, 950.0, "Baghdad",
         33.3333, 44.3833, "33°20′N", "44°23′E", 39309783.0,
         234094042938.917, 11362.6915, 10881.1721, False, False,
         False, "Iraqi dinar", "ع.د", "IQD", 29.5, 0.408, 0.674,
    ],
    "(?!.*north).*ireland|^IE$|^IRL$": [
         "Ireland", "Ireland", "UN member state", "IE", "IRL", 372, ".ie",
         "+353", 53.207236, -7.778069, "53°12′26.0″N", "7°46′41.0″W",
         "Europe", "Northern Europe", "🇮🇪", 70273.0, 68883.0, 1390.0,
         "Dublin", 53.3497, -6.2603, "53°20′59″N", "06°15′37″W",
         4934040.0, 388698711348.156, 89818.2173, 86826.3351, True,
         True, True, "Euro", "€", "EUR", 31.4, 0.793, 0.955,
    ],
    ".*isle of man|^IM$|^IMN$": [
         "Isle of Man", "Isle of Man", "United Kingdom", "IM", "IMN", 833,
         ".im", "+44 1624", 54.220637, -4.523086, "54°13′14.3″N",
         "4°31′23.1″W", "Europe", "Northern Europe", "🇮🇲", 572.0, 572.0,
         0.0, "Douglas", 54.145, -4.4819, "54°08′42″N", "4°28′55″W",
         84584.0, "", "", "", False, False, False, "Manx pound", "£",
         "IMP", "", "", "",
    ],
    "israel|^IL$|^ISR$": [
         "Israel", "Israel", "UN member state", "IL", "ISR", 376, ".il",
         "+972", 31.046051, 34.851612, "31°2′45.8″N", "34°51′5.8″E",
         "Asia", "Western Asia", "🇮🇱", 21937.0, 21497.0, 440.0,
         "Jerusalem", 31.7833, 35.2167, "31°47′N", "35°13′E", 9054000.0,
         394652210295.849, 42894.4927, 40200.2874, True, False,
         False, "Israeli new shekel", "₪", "ILS", 39.0, 0.734, 0.919,
    ],
    "italy|^IT$|^ITA$": [
         "Italy", "Italy", "UN member state", "IT", "ITA", 380, ".it", "+39",
         42.71941, 12.672814, "42°43′9.9″N", "12°40′22.1″E", "Europe",
         "Southern Europe", "🇮🇹", 301340.0, 294140.0, 7200.0, "Rome",
         41.8833, 12.5, "41°53′N", "12°30′E", 60302093.0,
         2003576145498.04, 45719.0083, 42416.4167, True, True,
         True, "Euro", "€", "EUR", 35.9, 0.728, 0.892,
    ],
    "jamaica|^JM$|^JAM$": [
         "Jamaica", "Jamaica", "UN member state", "JM", "JAM", 388, ".jm",
         "+1 876", 18.109581, -77.297508, "18°6′34.5″N", "77°17′51.0″W",
         "North America", "Caribbean", "🇯🇲", 10991.0, 10831.0, 160.0,
         "Kingston", 17.9714, -76.7931, "17°58′17″N", "76°47′35″W",
         2948279.0, 16458071067.8176, 10193.4695, 9761.4985, False,
         False, False, "Jamaican dollar", "$", "JMD", 45.5, 0.535,
         0.734,
    ],
    "japan|^JP$|^JPN$": [
         "Japan", "Japan", "UN member state", "JP", "JPN", 392, ".jp", "+81",
         36.204824, 138.252924, "36°12′17.4″N", "138°15′10.5″E", "Asia",
         "Eastern Asia", "🇯🇵", 377915.0, 364485.0, 13430.0, "Tokyo",
         35.6897, 139.6922, "35°41′23″N", "139°41′32″E", 126264931.0,
         5081769542379.77, 43593.5051, 41667.1791, True, False,
         False, "Japanese yen", "¥ or 円", "JPY", 32.9, 0.805, 0.919,
    ],
    "jersey|^JE$|^JEY$": [
         "Jersey", "Jersey", "United Kingdom", "JE", "JEY", 832, ".je",
         "+44 1534", 49.214439, -2.13125, "49°12′52.0″N", "2°7′52.5″W",
         "Europe", "Northern Europe", "🇯🇪", 116.0, 116.0, 0.0,
         "St. Helier", 49.1869, -2.1069, "49°11′13″N", "2°06′25″W", "", "",
         "", "", False, False, False, "Jersey pound", "£", "JEP", "", "",
         "",
    ],
    "jordan|^JO$|^JOR$": [
         "Jordan", "Jordan", "UN member state", "JO", "JOR", 400, ".jo",
         "+962", 31.199628, 36.484474, "31°11′58.7″N", "36°29′4.1″E",
         "Asia", "Western Asia", "🇯🇴", 89342.0, 88802.0, 540.0, "Amman",
         31.9497, 35.9328, "31°56′59″N", "35°55′58″E", 10101694.0,
         44502895861.6837, 10517.067, 10071.3829, False, False,
         False, "Jordanian dinar", "د.ا", "JOD", 33.7, 0.553, 0.729,
    ],
    "kazakhstan|^KZ$|^KAZ$": [
         "Kazakhstan", "Kazakhstan", "UN member state", "KZ", "KAZ", 398,
         ".kz", "+7", 48.019573, 66.923684, "48°1′10.5″N", "66°55′25.3″E",
         "Asia", "Central Asia", "🇰🇿", 2724900.0, 2699700.0, 25200.0,
         "Nur-Sultan", 51.1667, 71.4333, "51°10′N", "71°26′E",
         18513673.0, 181665908556.499, 27517.9384, 26351.8044, False,
         False, False, "Kazakhstani tenge", "₸", "KZT", 27.8, 0.629,
         0.825,
    ],
    "kenya|^KE$|^KEN$": [
         "Kenya", "Kenya", "UN member state", "KE", "KEN", 404, ".ke",
         "+254", -0.023559, 37.906193, "0°1′24.8″S", "37°54′22.3″E",
         "Africa", "Eastern Africa", "🇰🇪", 580367.0, 569140.0, 11227.0,
         "Nairobi", -1.2864, 36.8172, "01°17′11″S", "36°49′02″E",
         52573973.0, 95503088538.092, 4521.4792, 4329.8714, False,
         False, False, "Kenyan shilling", "Sh", "KES", 40.8, 0.547,
         0.601,
    ],
    ".*kiribati|^KI$|^KIR$": [
         "Kiribati", "Kiribati", "UN member state", "KI", "KIR", 296, ".ki",
         "+686", -3.370417, -168.734039, "3°22′13.5″S", "168°44′2.5″W",
         "Oceania", "Micronesia", "🇰🇮", 811.0, 811.0, 0.0,
         "South Tarawa", 1.4333, 173.0, "1°26′N", "173°00′E", 117606.0,
         194647201.946472, 2372.4514, 2271.9134, False, False,
         False, "Kiribati dollar", "$", "KID", 37.0, 0.493, 0.63,
    ],
    "(?=.*korea).*(north|dem|n[\. ]*)|^KP$|^PRK$": [
         "Korea (the Democratic People's Republic of)", "North Korea",
         "UN member state", "KP", "PRK", 408, ".kp", "+850", 40.018305,
         126.950167, "40°1′5.9″N", "126°57′0.6″E", "Asia", "Eastern Asia",
         "🇰🇵", 120538.0, 120408.0, 130.0, "Pyongyang", 39.0194,
         125.7381, "39°1′10″N", "125°44′17″E", 25666161.0, "", "", "",
         False, False, False, "North Korean won", "₩", "KPW", "", "", "",
    ],
    "(?!.*dem|.*people|.*north|.*n[\., ]|DPR).*korea|^KR$|^KOR$": [
         "Korea (the Republic of)", "South Korea", "UN member state", "KR",
         "KOR", 410, ".kr", "+82", 36.499864, 127.971895, "36°29′59.5″N",
         "127°58′18.8″E", "Asia", "Eastern Asia", "🇰🇷", 99720.0, 96920.0,
         2800.0, "Seoul", 37.56, 126.99, "37°33′36″N", "126°59′24″E",
         51709098.0, 1646739219509.89, 44011.2315, 42878.8173, True,
         False, False, "South Korean won", "₩", "KRW", 31.4, 0.799,
         0.916,
    ],
    "kuwait|^KW$|^KWT$": [
         "Kuwait", "Kuwait", "UN member state", "KW", "KWT", 414, ".kw",
         "+965", 29.31166, 47.481766, "29°18′42.0″N", "47°28′54.4″E",
         "Asia", "Western Asia", "🇰🇼", 17818.0, 17818.0, 0.0,
         "Kuwait City", 29.3697, 47.9783, "29°22′11″N", "47°58′42″E",
         4207083.0, 134628542746.97, 52059.7233, 49853.5764, False,
         False, False, "Kuwaiti dinar", "د.ك", "KWD", "", 0.563, 0.806,
    ],
    ".*kyrgyz|^KG$|^KGZ$": [
         "Kyrgyzstan", "Kyrgyzstan", "UN member state", "KG", "KGZ", 417,
         ".kg", "+996", 41.567437, 74.895384, "41°34′2.8″N",
         "74°53′43.4″E", "Asia", "Central Asia", "🇰🇬", 199951.0, 191801.0,
         8150.0, "Bishkek", 42.8747, 74.6122, "42°52′29″N", "74°36′44″E",
         6456200.0, 8454619607.81795, 5486.1551, 5253.667, False,
         False, False, "Kyrgyzstani som", "с", "KGS", 29.7, 0.597,
         0.697,
    ],
    ".*lao|^LA$|^LAO$": [
         "Lao People's Democratic Republic (the)", "Laos", "UN member state",
         "LA", "LAO", 418, ".la", "+856", 19.85627, 102.495496,
         "19°51′22.6″N", "102°29′43.8″E", "Asia", "South-Eastern Asia", "🇱🇦",
         236800.0, 230800.0, 6000.0, "Vientiane", 17.9667, 102.6,
         "17°58′N", "102°36′E", 7169455.0, 18173839147.4011, 8172.7261,
         7826.3886, False, False, False, "Lao kip", "₭", "LAK", 38.8,
         0.457, 0.613,
    ],
    "latvia|^LV$|^LVA$": [
         "Latvia", "Latvia", "UN member state", "LV", "LVA", 428, ".lv",
         "+371", 57.101446, 24.771556, "57°6′5.2″N", "24°46′17.6″E",
         "Europe", "Northern Europe", "🇱🇻", 64589.0, 62249.0, 2340.0,
         "Riga", 56.9489, 24.1064, "56°56′56″N", "24°6′23″E", 1913822.0,
         34102913582.4235, 33002.9733, 30965.4519, True, True,
         True, "Euro", "€", "EUR", 35.1, 0.707, 0.866,
    ],
    "lebanon|^LB$|^LBN$": [
         "Lebanon", "Lebanon", "UN member state", "LB", "LBN", 422, ".lb",
         "+961", 33.854721, 35.862285, "33°51′17.0″N", "35°51′44.2″E",
         "Asia", "Western Asia", "🇱🇧", 10400.0, 10230.0, 170.0, "Beirut",
         33.8869, 35.5131, "33°53′13″N", "35°30′47″E", 6855713.0,
         51991634491.6345, 15195.5297, 14551.5852, False, False,
         False, "Lebanese pound", "ل.ل", "LBP", 31.8, 0.515, 0.744,
    ],
    "lesotho|^LS$|^LSO$": [
         "Lesotho", "Lesotho", "UN member state", "LS", "LSO", 426, ".ls",
         "+266", -29.609988, 28.233608, "29°36′36.0″S", "28°14′1.0″E",
         "Africa", "Southern Africa", "🇱🇸", 30355.0, 30355.0, 0.0,
         "Maseru", -29.3167, 27.4833, "29°19′S", "27°29′E", 2125268.0,
         2376328637.26318, 2824.0925, 2704.4153, False, False,
         False, "Lesotho loti", "L", "LSL", 44.9, 0.4, 0.527,
    ],
    "liberia|^LR$|^LBR$": [
         "Liberia", "Liberia", "UN member state", "LR", "LBR", 430, ".lr",
         "+231", 6.428055, -9.429499, "6°25′41.0″N", "9°25′46.2″W",
         "Africa", "Western Africa", "🇱🇷", 111369.0, 96320.0, 15049.0,
         "Monrovia", 6.3133, -10.8014, "6°18′48″N", "10°48′5″W",
         4937374.0, 3070518100.0, 1491.0037, 1427.8191, False,
         False, False, "Liberian dollar", "$", "LRD", 35.3, 0.319,
         0.48,
    ],
    "libya|^LY$|^LBY$": [
         "Libya", "Libya", "UN member state", "LY", "LBY", 434, ".ly",
         "+218", 27.124192, 17.717566, "27°7′27.1″N", "17°43′3.2″E",
         "Africa", "Northern Africa", "🇱🇾", 1759540.0, 1759540.0, 0.0,
         "Tripoli", 32.8872, 13.1914, "32°53′14″N", "13°11′29″E",
         6777452.0, 52091152228.3425, 15845.6599, 15174.1648, False,
         False, False, "Libyan dinar", "ل.د", "LYD", "", "", 0.724,
    ],
    "liechtenstein|^LI$|^LIE$": [
         "Liechtenstein", "Liechtenstein", "UN member state", "LI", "LIE",
         438, ".li", "+423", 47.129872, 9.563058, "47°7′47.5″N",
         "9°33′47.0″E", "Europe", "Western Europe", "🇱🇮", 160.0, 160.0,
         0.0, "Vaduz", 47.1411, 9.5211, "47°08′28″N", "9°31′16″E",
         38019.0, "", "", "", False, False, True, "Swiss franc", "Fr.",
         "CHF", "", "", 0.919,
    ],
    "lithuania|^LT$|^LTU$": [
         "Lithuania", "Lithuania", "UN member state", "LT", "LTU", 440,
         ".lt", "+370", 55.427858, 23.937397, "55°25′40.3″N",
         "23°56′14.6″E", "Europe", "Northern Europe", "🇱🇹", 65300.0,
         62680.0, 2620.0, "Vilnius", 54.6833, 25.2833, "54°41′N",
         "25°17′E", 2794137.0, 54627411860.4705, 39911.8789,
         37181.0029, True, True, True, "Euro", "€", "EUR", 35.7,
         0.706, 0.882,
    ],
    "luxembourg|^LU$|^LUX$": [
         "Luxembourg", "Luxembourg", "UN member state", "LU", "LUX", 442,
         ".lu", "+352", 49.75636, 6.114688, "49°45′22.9″N", "6°6′52.9″E",
         "Europe", "Western Europe", "🇱🇺", 2586.0, 2586.0, 0.0,
         "Luxembourg", 49.6117, 6.1319, "49°36′42″N", "6°7′55″E",
         620001.0, 71104919108.1411, 124569.4452, 114304.0442, True,
         True, True, "Euro", "€", "EUR", 35.4, 0.686, 0.916,
    ],
    ".*macao|.*macau|^MO$|^MAC$": [
         "Macao", "Macao", "China", "MO", "MAC", 446, ".mo", "+853",
         22.198745, 113.543873, "22°11′55.5″N", "113°32′37.9″E", "Asia",
         "Eastern Asia", "🇲🇴", 28.2, 28.2, 0.0, "", "", "", "", "",
         640445.0, 53859116535.5306, 129451.0639, 123965.2864, False,
         False, False, "Macanese pataca", "MOP$", "MOP", "", 0.796, "",
    ],
    "madagascar|^MG$|^MDG$": [
         "Madagascar", "Madagascar", "UN member state", "MG", "MDG", 450,
         ".mg", "+261", -18.766947, 46.869107, "18°46′1.0″S",
         "46°52′8.8″E", "Africa", "Eastern Africa", "🇲🇬", 587041.0,
         581540.0, 5501.0, "Antananarivo", -18.9333, 47.5167,
         "18°56′S", "47°31′E", 26969307.0, 14114631280.6774, 1719.906,
         1647.0212, False, False, False, "Malagasy ariary", "Ar",
         "MGA", 42.6, 0.392, 0.528,
    ],
    "malawi|^MW$|^MWI$": [
         "Malawi", "Malawi", "UN member state", "MW", "MWI", 454, ".mw",
         "+265", -13.533288, 34.262269, "13°31′59.8″S", "34°15′44.2″E",
         "Africa", "Eastern Africa", "🇲🇼", 118484.0, 94080.0, 24404.0,
         "Lilongwe", -13.9833, 33.7833, "13°59′S", "33°47′E", 18628747.0,
         7666704427.00915, 1106.6189, 1059.7235, False, False,
         False, "Malawian kwacha", "MK", "MWK", 44.7, 0.413, 0.483,
    ],
    "malaysia|^MY$|^MYS$": [
         "Malaysia", "Malaysia", "UN member state", "MY", "MYS", 458, ".my",
         "+60", 4.210484, 101.975766, "4°12′37.7″N", "101°58′32.8″E",
         "Asia", "South-Eastern Asia", "🇲🇾", 329847.0, 328657.0, 1190.0,
         "Kuala Lumpur", 3.1478, 101.6953, "03°08′52″N", "101°41′43″E",
         31949777.0, 364681367531.684, 29619.6873, 28364.487, False,
         False, False, "Malaysian ringgit", "RM", "MYR", 41.1, 0.611,
         0.81,
    ],
    "maldives|^MV$|^MDV$": [
         "Maldives", "Maldives", "UN member state", "MV", "MDV", 462, ".mv",
         "+960", 3.202778, 73.22068, "3°12′10.0″N", "73°13′14.4″E", "Asia",
         "Southern Asia", "🇲🇻", 298.0, 298.0, 0.0, "Malé", 4.1753,
         73.5089, "4°10′31″N", "73°30′32″E", 530953.0, 5642179170.45898,
         20395.4942, 19531.1897, False, False, False,
         "Maldivian rufiyaa", ".ރ", "MVR", 31.3, "", 0.74,
    ],
    "mali$|^ML$|^MLI$": [
         "Mali", "Mali", "UN member state", "ML", "MLI", 466, ".ml", "+223",
         17.809989, -1.750127, "17°48′36.0″N", "1°45′0.5″W", "Africa",
         "Western Africa", "🇲🇱", 1240192.0, 1220190.0, 20002.0, "Bamako",
         12.6392, -8.0028, "12°38′21″N", "8°0′10″W", 19658031.0,
         17279566718.6087, 2424.3309, 2321.5944, False, False,
         False, "West African CFA franc", "Fr", "XOF", 33.0, 0.318,
         0.434,
    ],
    "malta|^MT$|^MLT$": [
         "Malta", "Malta", "UN member state", "MT", "MLT", 470, ".mt",
         "+356", 35.937496, 14.375416, "35°56′15.0″N", "14°22′31.5″E",
         "Europe", "Southern Europe", "🇲🇹", 316.0, 316.0, 0.0,
         "Valletta", 35.8983, 14.5125, "35°53′54″N", "14°30′45″E",
         504062.0, 14989415684.1203, 47445.2021, 43585.3649, False,
         True, True, "Euro", "€", "EUR", 28.7, 0.709, 0.895,
    ],
    ".*marshall|^MH$|^MHL$": [
         "Marshall Islands (the)", "Marshall Islands", "UN member state", "MH",
         "MHL", 584, ".mh", "+692", 7.131474, 171.184478, "7°7′53.3″N",
         "171°11′4.1″E", "Oceania", "Micronesia", "🇲🇭", 181.0, 181.0,
         0.0, "Majuro", 7.0833, 171.3833, "7°05′N", "171°23′E",
         58791.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", 0.423, 0.704,
    ],
    "martinique|^MQ$|^MTQ$": [
         "Martinique", "Martinique", "France", "MQ", "MTQ", 474, ".mq",
         "+596", 14.641528, -61.024174, "14°38′29.5″N", "61°1′27.0″W",
         "North America", "Caribbean", "🇲🇶", "", "", "", "", "", "", "", "",
         "", "", "", "", False, False, False, "Euro", "€", "EUR", "", "",
         "",
    ],
    "mauritania|^MR$|^MRT$": [
         "Mauritania", "Mauritania", "UN member state", "MR", "MRT", 478,
         ".mr", "+222", 20.243738, -10.390708, "20°14′37.5″N",
         "10°23′26.5″W", "Africa", "Western Africa", "🇲🇷", 1030700.0,
         1030700.0, 0.0, "Nouakchott", 18.0858, -15.9786, "18°05′09″N",
         "15°58′43″W", 4525696.0, 7600656943.97506, 5427.0582,
         5197.0745, False, False, False, "Mauritanian ouguiya", "UM",
         "MRU", 32.6, 0.382, 0.546,
    ],
    "mauritius|^MU$|^MUS$": [
         "Mauritius", "Mauritius", "UN member state", "MU", "MUS", 480,
         ".mu", "+230", -20.270205, 57.585306, "20°16′12.7″S",
         "57°35′7.1″E", "Africa", "Eastern Africa", "🇲🇺", 2040.0, 2030.0,
         10.0, "Port Louis", -20.1644, 57.5042, "20°9′52″S",
         "57°30′15″E", 1265711.0, 14048430518.5561, 23882.3543,
         22870.2862, False, False, False, "Mauritian rupee", "₨",
         "MUR", 36.8, 0.622, 0.804,
    ],
    ".*mayotte|^YT$|^MYT$": [
         "Mayotte", "Mayotte", "France", "YT", "MYT", 175, ".yt", "+262",
         -12.8275, 45.166244, "12°49′39.0″S", "45°9′58.5″E", "Africa",
         "Eastern Africa", "🇾🇹", "", "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "Euro", "€", "EUR", "", "", "",
    ],
    "mexico|^MX$|^MEX$": [
         "Mexico", "Mexico", "UN member state", "MX", "MEX", 484, ".mx",
         "+52", 23.634501, -102.552784, "23°38′4.2″N", "102°33′10.0″W",
         "North America", "Central America", "🇲🇽", 1964375.0, 1943945.0,
         20430.0, "Mexico City", 19.4333, -99.1333, "19°26′N", "99°8′W",
         127575529.0, 1268870527160.03, 20944.029, 19765.9161, True,
         False, False, "Mexican peso", "$", "MXN", 45.4, 0.613,
         0.779,
    ],
    ".*micronesia|^FM$|^FSM$": [
         "Micronesia (Federated States of)", "Micronesia", "UN member state",
         "FM", "FSM", 583, ".fm", "+691", 7.425554, 150.550812,
         "7°25′32.0″N", "150°33′2.9″E", "Oceania", "Micronesia", "🇫🇲", 702.0,
         702.0, 0.0, "Palikir", 6.9172, 158.1589, "6°55′2″N",
         "158°9′32″E", 113815.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", 40.1, 0.506, 0.62,
    ],
    ".*moldova|^MD$|^MDA$": [
         "Moldova (the Republic of)", "Moldova", "UN member state", "MD",
         "MDA", 498, ".md", "+373", 47.217536, 28.607661, "47°13′3.1″N",
         "28°36′27.6″E", "Europe", "Eastern Europe", "🇲🇩", 33851.0,
         32891.0, 960.0, "Chișinău", 47.0228, 28.8353, "47°01′22″N",
         "28°50′07″E", 2663251.0, 11968713370.4969, 13598.2612,
         13022.0046, False, False, False, "Moldovan leu", "L", "MDL",
         25.7, 0.584, 0.75,
    ],
    "monaco|^MC$|^MCO$": [
         "Monaco", "Monaco", "UN member state", "MC", "MCO", 492, ".mc",
         "+377", 43.73396, 7.422564, "43°44′2.3″N", "7°25′21.2″E",
         "Europe", "Western Europe", "🇲🇨", 2.0, 2.0, 0.0, "Monaco",
         43.7312, 7.4197, "43°43′52.48″N", "7°25′11.08″E", 38964.0, "",
         "", "", False, False, False, "Euro", "€", "EUR", "", "", "",
    ],
    "mongolia|^MN$|^MNG$": [
         "Mongolia", "Mongolia", "UN member state", "MN", "MNG", 496, ".mn",
         "+976", 46.862496, 103.846656, "46°51′45.0″N", "103°50′48.0″E",
         "Asia", "Eastern Asia", "🇲🇳", 1564116.0, 1553556.0, 10560.0,
         "Ulaanbaatar", 47.9203, 106.9172, "47°55′13″N", "106°55′02″E",
         3225167.0, 13996719329.4097, 12861.8366, 12316.7876, False,
         False, False, "Mongolian tögrög", "₮", "MNT", 32.7, 0.614,
         0.737,
    ],
    "(?!.*serbia).*montenegro|^ME$|^MNE$": [
         "Montenegro", "Montenegro", "UN member state", "ME", "MNE", 499,
         ".me", "+382", 42.87209, 19.281906, "42°52′19.5″N",
         "19°16′54.9″E", "Europe", "Southern Europe", "🇲🇪", 13812.0,
         13452.0, 360.0, "Podgorica", 42.4413, 19.2629,
         "42°26′28.63″N", "19°15′46.41″E", 622028.0, 5542577964.98146,
         24040.117, 21602.6957, False, False, False, "Euro", "€",
         "EUR", 38.5, 0.633, 0.829,
    ],
    "montserrat|^MS$|^MSR$": [
         "Montserrat", "Montserrat", "United Kingdom", "MS", "MSR", 500,
         ".ms", "+1 664", 16.742498, -62.187366, "16°44′33.0″N",
         "62°11′14.5″W", "North America", "Caribbean", "🇲🇸", 102.0, 102.0,
         0.0, "Brades", 16.7928, -62.2106, "16°47′34″N", "62°12′38″W",
         "", "", "", "", False, False, False, "Eastern Caribbean dollar",
         "$", "XCD", "", "", "",
    ],
    "morocco|^MA$|^MAR$": [
         "Morocco", "Morocco", "UN member state", "MA", "MAR", 504, ".ma",
         "+212", 31.791702, -7.09262, "31°47′30.1″N", "7°5′33.4″W",
         "Africa", "Northern Africa", "🇲🇦", 446550.0, 446300.0, 250.0,
         "Rabat", 34.0333, -6.8333, "34°02′N", "6°50′W", 36471769.0,
         119700325461.938, 7826.1677, 7514.7209, False, False,
         False, "Moroccan dirham", "د.م.", "MAD", 39.5, 0.504, 0.686,
    ],
    "mozambique|^MZ$|^MOZ$": [
         "Mozambique", "Mozambique", "UN member state", "MZ", "MOZ", 508,
         ".mz", "+258", -17.567146, 35.782651, "17°34′1.7″S",
         "35°46′57.5″E", "Africa", "Eastern Africa", "🇲🇿", 799380.0,
         786380.0, 13000.0, "Maputo", -25.9667, 32.5833, "25°58′S",
         "32°35′E", 30366036.0, 15291448211.603, 1338.0967, 1281.3918,
         False, False, False, "Mozambican metical", "MT", "MZN", 54.0,
         0.362, 0.456,
    ],
    "myanmar|burma|^MM$|^MMR$": [
         "Myanmar", "Myanmar", "UN member state", "MM", "MMR", 104, ".mm",
         "+95", 21.913965, 95.956223, "21°54′50.3″N", "95°57′22.4″E",
         "Asia", "South-Eastern Asia", "🇲🇲", 676578.0, 653508.0, 23070.0,
         "Naypyidaw", 19.7475, 96.115, "19°44′51″N", "96°06′54″E",
         54045420.0, 76085852617.1371, 5369.7075, 5142.1542, False,
         False, False, "Burmese kyat", "Ks", "MMK", 30.7, 0.478,
         0.583,
    ],
    "namibia|^NA$|^NAM$": [
         "Namibia", "Namibia", "UN member state", "NA", "NAM", 516, ".na",
         "+264", -22.557397, 17.081065, "22°33′26.6″S", "17°4′51.8″E",
         "Africa", "Southern Africa", "🇳🇦", 824292.0, 823290.0, 1002.0,
         "Windhoek", -22.57, 17.0836, "22°34′12″S", "17°5′1″E",
         2494530.0, 12366528259.1844, 10063.65, 9637.1804, False,
         False, False, "Namibian dollar", "$", "NAD", 59.1, 0.446,
         0.646,
    ],
    "nauru|^NR$|^NRU$": [
         "Nauru", "Nauru", "UN member state", "NR", "NRU", 520, ".nr",
         "+674", -0.522778, 166.931503, "0°31′22.0″S", "166°55′53.4″E",
         "Oceania", "Micronesia", "🇳🇷", 21.0, 21.0, 0.0, "Yaren",
         -0.5477, 166.9209, "0°32′51.72″S", "166°55′15.12″E", 12581.0,
         118223430.124446, 12095.297, 11582.7318, False, False,
         False, "Australian dollar", "$", "AUD", 34.8, 0.508, "",
    ],
    "nepal|^NP$|^NPL$": [
         "Nepal", "Nepal", "UN member state", "NP", "NPL", 524, ".np",
         "+977", 28.037507, 84.483704, "28°2′15.0″N", "84°29′1.3″E",
         "Asia", "Southern Asia", "🇳🇵", 147181.0, 143351.0, 3830.0,
         "Kathmandu", 27.7172, 85.3239, "27°43′02″N", "85°19′26″E",
         28608710.0, 30641380603.9699, 3567.9929, 3416.7913, False,
         False, False, "Nepalese rupee", "रू", "NPR", 32.8, 0.505,
         0.602,
    ],
    "(?!.*antilles).*netherlands|^NL$|^NLD$": [
         "Netherlands (the)", "Netherlands", "UN member state", "NL", "NLD",
         528, ".nl", "+31", 52.132633, 5.291266, "52°7′57.5″N",
         "5°17′28.6″E", "Europe", "Western Europe", "🇳🇱", 41543.0, 33893.0,
         7650.0, "Amsterdam", 52.3667, 4.9, "52°22′N", "4°54′E",
         17344874.0, 907050863145.097, 61242.5475, 56809.9672, True,
         True, True, "Euro", "€", "EUR", 28.1, 0.79, 0.944,
    ],
    "new caledonia|^NC$|^NCL$": [
         "New Caledonia", "New Caledonia", "France", "NC", "NCL", 540, ".nc",
         "+687", -20.904305, 165.618042, "20°54′15.5″S", "165°37′5.0″E",
         "Oceania", "Melanesia", "🇳🇨", 18575.0, 18275.0, 300.0, "Nouméa",
         -22.2758, 166.4581, "22°16′33″S", "166°27′29″E", 287800.0, "",
         "", "", False, False, False, "CFP franc", "₣", "XPF", "", "",
         "",
    ],
    "new zealand|NZ|n[\., ] zealand|^NZ$|^NZL$": [
         "New Zealand", "New Zealand", "UN member state", "NZ", "NZL", 554,
         ".nz", "+64", -41.792185, 172.978875, "41°47′31.9″S",
         "172°58′43.9″E", "Oceania", "Australia and New Zealand", "🇳🇿",
         268838.0, 264537.0, 4301.0, "Wellington", -41.2889,
         174.7772, "41°17′20″S", "174°46′38″E", 4979300.0,
         206928765543.935, 44814.3115, 43148.4461, True, False,
         False, "New Zealand dollar", "$", "NZD", "", 0.776, 0.931,
    ],
    ".*nicaragua|^NI$|^NIC$": [
         "Nicaragua", "Nicaragua", "UN member state", "NI", "NIC", 558,
         ".ni", "+505", 12.782944, -85.013674, "12°46′58.6″N",
         "85°0′49.2″W", "North America", "Central America", "🇳🇮", 130370.0,
         119990.0, 10380.0, "Managua", 12.1364, -86.2514, "12°8′11″N",
         "86°15′5″W", 6545502.0, 12520915291.1837, 5646.3995,
         5407.1207, False, False, False, "Nicaraguan córdoba", "C$",
         "NIO", 46.2, 0.508, 0.66,
    ],
    "(?!.*nigeria).*niger|^NE$|^NER$": [
         "Niger (the)", "Niger", "UN member state", "NE", "NER", 562, ".ne",
         "+227", 17.12811, 9.589291, "17°7′41.2″N", "9°35′21.4″E",
         "Africa", "Western Africa", "🇳🇪", 1267000.0, 1266700.0, 300.0,
         "Niamey", 13.5117, 2.1253, "13°30′42″N", "2°7′31″E", 23310715.0,
         12911689659.351, 1278.6982, 1224.5105, False, False,
         False, "West African CFA franc", "Fr", "XOF", 34.3, 0.316,
         0.394,
    ],
    "nigeria|^NG$|^NGA$": [
         "Nigeria", "Nigeria", "UN member state", "NG", "NGA", 566, ".ng",
         "+234", 9.605753, 8.242418, "9°36′20.7″N", "8°14′32.7″E",
         "Africa", "Western Africa", "🇳🇬", 923768.0, 910768.0, 13000.0,
         "Abuja", 9.0667, 7.4833, "9°4′N", "7°29′E", 200963599.0,
         448120428858.769, 5362.7584, 5135.4996, False, False,
         False, "Nigerian naira", "₦", "NGN", 35.1, 0.361, 0.539,
    ],
    "niue|^NU$|^NIU$": [
         "Niue", "Niue", "Member of 5 UN specialized agencies", "NU", "NIU",
         570, ".nu", "+683", -19.054445, -169.867233, "19°3′16.0″S",
         "169°52′2.0″W", "Oceania", "Polynesia", "🇳🇺", 260.0, 260.0, 0.0,
         "Alofi", -19.0539, -169.92, "19°03′14″S", "169°55′12″W", "", "",
         "", "", False, False, False, "New Zealand dollar", "$", "NZD",
         "", "", "",
    ],
    "norfolk|^NF$|^NFK$": [
         "Norfolk Island", "Norfolk Island", "Australia", "NF", "NFK", 574,
         ".nf", "+672", -29.040835, 167.954712, "29°2′27.0″S",
         "167°57′17.0″E", "Oceania", "Australia and New Zealand", "🇳🇫", 36.0,
         36.0, 0.0, "Kingston", -29.05, 167.9667, "29°3′S", "167°58′E",
         "", "", "", "", False, False, False, "Australian dollar", "$",
         "AUD", "", "", "",
    ],
    ".*macedonia|^MK$|^MKD$": [
         "North Macedonia", "North Macedonia", "UN member state", "MK", "MKD",
         807, ".mk", "+389", 41.608635, 21.745275, "41°36′31.1″N",
         "21°44′43.0″E", "Europe", "Southern Europe", "🇲🇰", 25713.0,
         25433.0, 280.0, "Skopje", 42.0, 21.4333, "42°0′N", "21°26′E",
         2083459.0, 12547040498.9077, 18107.7836, 16660.4501, False,
         False, False, "Macedonian denar", "ден", "MKD", 33.0, 0.557,
         0.774,
    ],
    ".*mariana|^MP$|^MNP$": [
         "Northern Mariana Islands (the)", "Northern Mariana Islands",
         "United States of America", "MP", "MNP", 580, ".mp", "+1 670",
         17.33083, 145.38469, "17°19′51.0″N", "145°23′4.9″E", "Oceania",
         "Micronesia", "🇲🇵", 464.0, 464.0, 0.0, "Saipan", 15.1833,
         145.75, "15°11′N", "145°45′E", 57216.0, "", "", "", False,
         False, False, "United States dollar", "$", "USD", "", "", "",
    ],
    "norway|^NO$|^NOR$": [
         "Norway", "Norway", "UN member state", "NO", "NOR", 578, ".no",
         "+47", 61.174333, 8.895294, "61°10′27.6″N", "8°53′43.1″E",
         "Europe", "Northern Europe", "🇳🇴", 323802.0, 304282.0, 19520.0,
         "Oslo", 59.9139, 10.7522, "59°54′50″N", "10°45′8″E", 5347896.0,
         403336363636.364, 70005.8886, 64962.2623, True, False,
         True, "Norwegian krone", "kr", "NOK", 27.6, 0.771, 0.957,
    ],
    "oman|^OM$|^OMN$": [
         "Oman", "Oman", "UN member state", "OM", "OMN", 512, ".om", "+968",
         21.135713, 56.981732, "21°8′8.6″N", "56°58′54.2″E", "Asia",
         "Western Asia", "🇴🇲", 309500.0, 309500.0, 0.0, "Muscat",
         23.5889, 58.4083, "23°35′20″N", "58°24′30″E", 4974986.0,
         76331518668.5771, 28507.4762, 27299.4083, False, False,
         False, "Omani rial", "ر.ع.", "OMR", "", 0.608, 0.813,
    ],
    "pakistan|^PK$|^PAK$": [
         "Pakistan", "Pakistan", "UN member state", "PK", "PAK", 586, ".pk",
         "+92", 29.002557, 68.194971, "29°0′9.2″N", "68°11′41.9″E", "Asia",
         "Southern Asia", "🇵🇰", 796095.0, 770875.0, 25220.0, "Islamabad",
         33.6931, 73.0639, "33°41′35″N", "73°03′50″E", 216565318.0,
         278221906022.841, 4898.0506, 4690.4848, False, False,
         False, "Pakistani rupee", "₨", "PKR", 31.6, 0.406, 0.557,
    ],
    "palau|^PW$|^PLW$": [
         "Palau", "Palau", "UN member state", "PW", "PLW", 585, ".pw",
         "+680", 7.51498, 134.58252, "7°30′53.9″N", "134°34′57.1″E",
         "Oceania", "Micronesia", "🇵🇼", 459.0, 459.0, 0.0, "Ngerulmud",
         7.5006, 134.6242, "7°30′2″N", "134°37′27″E", 18008.0,
         268354919.433594, 18357.3954, 17579.4598, False, False,
         False, "United States dollar", "$", "USD", "", 0.588, 0.826,
    ],
    ".*palestine|^PS$|^PSE$": [
         "Palestine, State of", "Palestine", "UN observer state", "PS", "PSE",
         275, ".ps", "+970", 32.011718, 35.296941, "32°0′42.2″N",
         "35°17′49.0″E", "Asia", "Western Asia", "🇵🇸", "", "", "", "", "", "",
         "", "", 4685306.0, "", 6495.2093, 6219.9603, False, False,
         False, "Israeli new shekel", "₪", "ILS", 33.7, 0.58, 0.708,
    ],
    "panama|^PA$|^PAN$": [
         "Panama", "Panama", "UN member state", "PA", "PAN", 591, ".pa",
         "+507", 8.799939, -80.277962, "8°47′59.8″N", "80°16′40.7″W",
         "North America", "Central America", "🇵🇦", 75420.0, 74340.0,
         1080.0, "Panama City", 8.9833, -79.5167, "8°59′N", "79°31′W",
         4246439.0, 66800800000.0, 32850.8194, 31458.6926, False,
         False, False, "Panamanian balboa", "B/.", "PAB", 49.8, 0.502,
         0.815,
    ],
    ".*papua new guinea|^PG$|^PNG$": [
         "Papua New Guinea", "Papua New Guinea", "UN member state", "PG",
         "PNG", 598, ".pg", "+675", -6.314993, 143.95555, "6°18′54.0″S",
         "143°57′20.0″E", "Oceania", "Melanesia", "🇵🇬", 462840.0, 452860.0,
         9980.0, "Port Moresby", -9.4789, 147.1494, "9°28′44″S",
         "147°08′58″E", 8776109.0, 24829107011.0701, 4547.5638,
         4354.8506, False, False, False, "Papua New Guinean kina", "K",
         "PGK", 41.9, 0.429, 0.555,
    ],
    "paraguay|^PY$|^PRY$": [
         "Paraguay", "Paraguay", "UN member state", "PY", "PRY", 600, ".py",
         "+595", -23.478587, -57.855851, "23°28′42.9″S", "57°51′21.1″W",
         "South America", "South America", "🇵🇾", 406752.0, 397302.0,
         9450.0, "Asunción", -25.3, -57.6333, "25°18′S", "57°38′W",
         7044636.0, 38145288939.8488, 13246.4618, 12685.1134, False,
         False, False, "Paraguayan guaraní", "₲", "PYG", 45.7, 0.528,
         0.728,
    ],
    "peru|^PE$|^PER$": [
         "Peru", "Peru", "UN member state", "PE", "PER", 604, ".pe", "+51",
         -9.189967, -75.015152, "9°11′23.9″S", "75°0′54.5″W",
         "South America", "South America", "🇵🇪", 1285216.0, 1279996.0,
         5220.0, "Lima", -12.05, -77.0333, "12°03′S", "77°02′W",
         32510453.0, 226848050819.525, 13416.4366, 12847.8852, False,
         False, False, "Peruvian sol", "S/", "PEN", 41.5, 0.605,
         0.777,
    ],
    ".*philippines|^PH$|^PHL$": [
         "Philippines (the)", "Philippines", "UN member state", "PH", "PHL",
         608, ".ph", "+63", 12.879721, 121.774017, "12°52′47.0″N",
         "121°46′26.5″E", "Asia", "South-Eastern Asia", "🇵🇭", 300000.0,
         298170.0, 1830.0, "Manila", 14.6, 120.9833, "14°36′N",
         "120°59′E", 108116615.0, 376795508678.853, 9302.3853,
         8908.176, False, False, False, "Philippine peso", "₱", "PHP",
         42.3, 0.516, 0.718,
    ],
    ".*pitcairn|^PN$|^PCN$": [
         "Pitcairn", "Pitcairn", "United Kingdom", "PN", "PCN", 612, ".pn",
         "+64", -24.703615, -127.439308, "24°42′13.0″S", "127°26′21.5″W",
         "Oceania", "Polynesia", "🇵🇳", 47.0, 47.0, 0.0, "Adamstown",
         -25.0667, -130.1, "25°4′S", "130°6′W", "", "", "", "", False,
         False, False, "New Zealand dollar", "$", "NZD", "", "", "",
    ],
    "poland|^PL$|^POL$": [
         "Poland", "Poland", "UN member state", "PL", "POL", 616, ".pl",
         "+48", 52.118636, 19.362633, "52°7′7.1″N", "19°21′45.5″E",
         "Europe", "Eastern Europe", "🇵🇱", 312685.0, 304255.0, 8430.0,
         "Warsaw", 52.2333, 21.0167, "52°14′N", "21°1′E", 37965475.0,
         595858207011.512, 35170.2057, 33226.2659, True, True,
         True, "Polish złoty", "zł", "PLN", 30.2, 0.753, 0.88,
    ],
    "portugal|^PT$|^PRT$": [
         "Portugal", "Portugal", "UN member state", "PT", "PRT", 620, ".pt",
         "+351", 39.662579, -8.236977, "39°39′45.3″N", "8°14′13.1″W",
         "Europe", "Southern Europe", "🇵🇹", 92090.0, 91470.0, 620.0,
         "Lisbon", 38.7253, -9.15, "38°43′31″N", "9°09′00″W", 10286263.0,
         238785085030.988, 37856.3471, 34904.6858, True, True,
         True, "Euro", "€", "EUR", 33.5, 0.769, 0.864,
    ],
    ".*puerto rico|^PR$|^PRI$": [
         "Puerto Rico", "Puerto Rico", "United States of America", "PR", "PRI",
         630, ".pr", "+1 787, +1 939", 18.211562, -66.455213,
         "18°12′41.6″N", "66°27′18.8″W", "North America", "Caribbean", "🇵🇷",
         9104.0, 8959.0, 145.0, "San Juan", 18.4064, -66.0639,
         "18°24′23″N", "66°3′50″W", 3193694.0, 104988600000.0,
         36045.1049, 34517.6132, False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    "qatar|^QA$|^QAT$": [
         "Qatar", "Qatar", "UN member state", "QA", "QAT", 634, ".qa",
         "+974", 25.354826, 51.183884, "25°21′17.4″N", "51°11′2.0″E",
         "Asia", "Western Asia", "🇶🇦", 11586.0, 11586.0, 0.0, "Doha",
         25.2867, 51.5333, "25°17′12″N", "51°32′0″E", 2832067.0,
         175837550996.185, 94028.5977, 90043.9262, False, False,
         False, "Qatari riyal", "ر.ق", "QAR", "", 0.638, 0.848,
    ],
    "romania|^RO$|^ROU$": [
         "Romania", "Romania", "UN member state", "RO", "ROU", 642, ".ro",
         "+40", 45.943161, 24.96676, "45°56′35.4″N", "24°58′0.3″E",
         "Europe", "Eastern Europe", "🇷🇴", 238391.0, 229891.0, 8500.0,
         "Bucharest", 44.4325, 26.1039, "44°25′57″N", "26°6′14″E",
         19366221.0, 250077444017.084, 33323.2757, 29968.5752, False,
         True, True, "Romanian leu", "lei", "RON", 35.8, 0.584,
         0.828,
    ],
    ".*russia|^RU$|^RUS$": [
         "Russian Federation (the)", "Russia", "UN member state", "RU", "RUS",
         643, ".ru", "+7", 62.206762, 94.444975, "62°12′24.3″N",
         "94°26′41.9″E", "Europe", "Eastern Europe", "🇷🇺", 17098242.0,
         16377742.0, 720500.0, "Moscow", 55.7558, 37.6172,
         "55°45′21″N", "37°37′2″E", 144406261.0, 1699876578871.35,
         29181.3632, 27043.9354, False, False, False,
         "Russian ruble", "₽", "RUB", 37.5, 0.681, 0.824,
    ],
    "rwanda|^RW$|^RWA$": [
         "Rwanda", "Rwanda", "UN member state", "RW", "RWA", 646, ".rw",
         "+250", -1.940278, 29.873888, "1°56′25.0″S", "29°52′26.0″E",
         "Africa", "Eastern Africa", "🇷🇼", 26338.0, 24668.0, 1670.0,
         "Kigali", -1.9439, 30.0594, "1°56′38″S", "30°3′34″E",
         12626950.0, 10354417725.1555, 2325.4079, 2226.8636, False,
         False, False, "Rwandan franc", "Fr", "RWF", 43.7, 0.38,
         0.543,
    ],
    "réunion|reunion|^RE$|^REU$": [
         "Réunion", "Réunion", "France", "RE", "REU", 638, ".re", "+262",
         -21.115141, 55.536384, "21°6′54.5″S", "55°32′11.0″E", "Africa",
         "Eastern Africa", "🇷🇪", "", "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "", "", "", "", "", "",
    ],
    ".*barthélemy|.*barthelemy|.*barths|.*barts|^BL$|^BLM$": [
         "Saint Barthélemy", "Saint Barthélemy", "France", "BL", "BLM", 652,
         "", "+590", 17.897655, -62.829007, "17°53′51.6″N", "62°49′44.4″W",
         "North America", "Caribbean", "🇧🇱", 25.0, 25.0, "", "Gustavia",
         17.8979, -62.8506, "17°53′52.47″N", "62°51′2.0″W", "", "", "", "",
         False, False, False, "Euro", "€", "EUR", "", "", "",
    ],
    ".*helena|.*ascension|^SH$|^SHN$": [
         "Saint Helena, Ascension and Tristan da Cunha",
         "Saint Helena, Ascension and Tristan da Cunha", "United Kingdom",
         "SH", "SHN", 654, ".sh", "+290", -15.967011, -5.704086,
         "15°58′1.2″S", "5°42′14.7″W", "Africa", "Western Africa", "🇸🇭",
         394.0, 122.0, 0.0, "Jamestown", -15.9244, -5.7181,
         "15°55′28″S", "5°43′5″W", "", "", "", "", False, False, False,
         "Saint Helena pound", "£", "SHP", "", "", "",
    ],
    ".*kitts|^KN$|^KNA$": [
         "Saint Kitts and Nevis", "Saint Kitts and Nevis", "UN member state",
         "KN", "KNA", 659, ".kn", "+1 869", 17.357822, -62.782998,
         "17°21′28.2″N", "62°46′58.8″W", "North America", "Caribbean", "🇰🇳",
         261.0, 261.0, 0.0, "Basseterre", 17.3, -62.7333, "17°18′N",
         "62°44′W", 52834.0, 1053244444.44444, 27608.135, 26438.1787,
         False, False, False, "Eastern Caribbean dollar", "$", "XCD", "",
         0.586, 0.779,
    ],
    ".*lucia|^LC$|^LCA$": [
         "Saint Lucia", "Saint Lucia", "UN member state", "LC", "LCA", 662,
         ".lc", "+1 758", 13.909444, -60.978893, "13°54′34.0″N",
         "60°58′44.0″W", "North America", "Caribbean", "🇱🇨", 616.0, 606.0,
         10.0, "Castries", 14.0167, -60.9833, "14°01′N", "60°59′W",
         182790.0, 2122450629.62963, 16132.4145, 15448.7675, False,
         False, False, "Eastern Caribbean dollar", "$", "XCD", 51.2,
         0.603, 0.759,
    ],
    "(?=.*saint|.*st).*martin|^MF$|^MAF$": [
         "Saint Martin (French part)", "Saint Martin", "France", "MF", "MAF",
         663, "", "+590", 18.085813, -63.049643, "18°5′8.9″N",
         "63°2′58.7″W", "North America", "Caribbean", "🇲🇫", 54.4, 54.4, "",
         "Marigot", 18.0731, -63.0822, "18°04′23″N", "63°04′56″W",
         38002.0, "", "", "", False, False, False, "Euro", "€", "EUR",
         "", "", "",
    ],
    ".*miquelon|^PM$|^SPM$": [
         "Saint Pierre and Miquelon", "Saint Pierre and Miquelon", "France",
         "PM", "SPM", 666, ".pm", "+508", 46.961783, -56.326792,
         "46°57′42.4″N", "56°19′36.5″W", "North America", "Northern America",
         "🇵🇲", 242.0, 242.0, 0.0, "St. Pierre", 46.7778, -56.1778,
         "46°46′40″N", "56°10′40″W", "", "", "", "", False, False, False,
         "Euro", "€", "EUR", "", "", "",
    ],
    ".*vincent|.*grenadines|^VC$|^VCT$": [
         "Saint Vincent and the Grenadines",
         "Saint Vincent and the Grenadines", "UN member state", "VC", "VCT",
         670, ".vc", "+1 784", 13.250843, -61.189338, "13°15′3.0″N",
         "61°11′21.6″W", "North America", "Caribbean", "🇻🇨", 389.0, 389.0,
         0.0, "Kingstown", 13.1578, -61.225, "13°09′28″N", "061°13′30″W",
         110589.0, 824718518.518518, 13037.6811, 12485.1803, False,
         False, False, "Eastern Caribbean dollar", "$", "XCD", "", 0.533,
         0.738,
    ],
    "samoa|^WS$|^WSM$": [
         "Samoa", "Samoa", "UN member state", "WS", "WSM", 882, ".ws",
         "+685", -13.759029, -172.104629, "13°45′32.5″S", "172°6′16.7″W",
         "Oceania", "Polynesia", "🇼🇸", 2831.0, 2821.0, 10.0, "Apia",
         -13.8333, -171.75, "13°50′S", "171°45′W", 197097.0,
         852250190.985485, 6795.6841, 6521.4583, False, False,
         False, "Samoan tālā", "T", "WST", 38.7, 0.548, 0.715,
    ],
    "san marino|^SM$|^SMR$": [
         "San Marino", "San Marino", "UN member state", "SM", "SMR", 674,
         ".sm", "+378", 43.94236, 12.457777, "43°56′32.5″N",
         "12°27′28.0″E", "Europe", "Southern Europe", "🇸🇲", 61.0, 61.0,
         0.0, "San Marino", 43.9346, 12.4473, "43°56′4.56″N",
         "12°26′50.28″E", 33860.0, "", "", "", False, False, False,
         "Euro", "€", "EUR", "", "", "",
    ],
    ".*tome|.*tomé|^ST$|^STP$": [
         "São Tomé and Príncipe", "São Tomé and Príncipe", "UN member state",
         "ST", "STP", 678, ".st", "+239", 0.250674, 6.604415,
         "0°15′2.4″N", "6°36′15.9″E", "Africa", "Middle Africa", "🇸🇹", 964.0,
         964.0, 0.0, "São Tomé", 0.3361, 6.7306, "0°20′10″N",
         "6°43′50″E", 215056.0, 418637388.988052, 4145.227, 3969.5638,
         False, False, False, "São Tomé and Príncipe dobra", "Db", "STN",
         56.3, "", 0.625,
    ],
    "saudi|^SA$|^SAU$": [
         "Saudi Arabia", "Saudi Arabia", "UN member state", "SA", "SAU", 682,
         ".sa", "+966", 23.885942, 45.079162, "23°53′9.4″N", "45°4′45.0″E",
         "Asia", "Western Asia", "🇸🇦", 2149690.0, 2149690.0, 0.0,
         "Riyadh", 24.6333, 46.7167, "24°38′N", "46°43′E", 34268528.0,
         792966838161.659, 49040.3429, 46962.1491, False, False,
         False, "Saudi riyal", "﷼", "SAR", "", 0.576, 0.854,
    ],
    "senegal|^SN$|^SEN$": [
         "Senegal", "Senegal", "UN member state", "SN", "SEN", 686, ".sn",
         "+221", 14.497401, -14.452362, "14°29′50.6″N", "14°27′8.5″W",
         "Africa", "Western Africa", "🇸🇳", 196722.0, 192530.0, 4192.0,
         "Dakar", 14.6928, -17.4467, "14°41′34″N", "17°26′48″W",
         16296364.0, 23578084052.0147, 3545.1003, 3394.8688, False,
         False, False, "West African CFA franc", "Fr", "XOF", 40.3,
         0.42, 0.512,
    ],
    "(?!.*montenegro).*serbia|^RS$|^SRB$": [
         "Serbia", "Serbia", "UN member state", "RS", "SRB", 688, ".rs",
         "+381", 44.016521, 21.005859, "44°0′59.5″N", "21°0′21.1″E",
         "Europe", "Southern Europe", "🇷🇸", 77474.0, 77474.0, 0.0,
         "Belgrade", 44.8167, 20.4667, "44°49′N", "20°28′E", 6945235.0,
         51475016532.1293, 19494.4062, 18350.5873, False, False,
         False, "Serbian dinar", "дин. or din.", "RSD", 36.2, 0.677,
         0.806,
    ],
    ".*seychelles|^SC$|^SYC$": [
         "Seychelles", "Seychelles", "UN member state", "SC", "SYC", 690,
         ".sc", "+248", -4.679574, 55.491977, "4°40′46.5″S",
         "55°29′31.1″E", "Africa", "Eastern Africa", "🇸🇨", 455.0, 455.0,
         0.0, "Victoria", -4.6167, 55.45, "4°37′S", "55°27′E", 97625.0,
         1703387387.32319, 30516.6773, 29223.465, False, False,
         False, "Seychellois rupee", "₨", "SCR", 32.1, 0.633, 0.796,
    ],
    ".*sierra leone|selone|^SL$|^SLE$": [
         "Sierra Leone", "Sierra Leone", "UN member state", "SL", "SLE", 694,
         ".sl", "+232", 8.460555, -11.779889, "8°27′38.0″N",
         "11°46′47.6″W", "Africa", "Western Africa", "🇸🇱", 71740.0,
         71620.0, 120.0, "Freetown", 8.4844, -13.2344, "8°29′4″N",
         "13°14′4″W", 7813215.0, 4121733705.29165, 1794.3148,
         1718.2767, False, False, False, "Sierra Leonean leone", "Le",
         "SLL", 35.7, 0.363, 0.452,
    ],
    "singapore|^SG$|^SGP$": [
         "Singapore", "Singapore", "UN member state", "SG", "SGP", 702,
         ".sg", "+65", 1.352083, 103.819836, "1°21′7.5″N", "103°49′11.4″E",
         "Asia", "South-Eastern Asia", "🇸🇬", 719.2, 709.2, 10.0,
         "Singapore", 1.2833, 103.8333, "1°17′N", "103°50′E", 5703569.0,
         372062527488.638, 101649.0749, 97341.4686, False, False,
         False, "Singapore dollar", "$", "SGD", "", 0.879, 0.938,
    ],
    "(?=.*sint|.*st).*maarten|^SX$|^SXM$": [
         "Sint Maarten (Dutch part)", "Sint Maarten", "Netherlands", "SX",
         "SXM", 534, ".sx", "+1 721", 18.041016, -63.051513,
         "18°2′27.7″N", "63°3′5.4″W", "North America", "Caribbean", "🇸🇽",
         34.0, 34.0, 0.0, "Philipsburg", 18.0236, -63.0458,
         "18°01′25″N", "63°02′45″W", 40733.0, "", "", "", False, False,
         False, "Netherlands Antillean guilder", "ƒ", "ANG", "", "", "",
    ],
    ".*slovak|^SK$|^SVK$": [
         "Slovakia", "Slovakia", "UN member state", "SK", "SVK", 703, ".sk",
         "+421", 48.669026, 19.699024, "48°40′8.5″N", "19°41′56.5″E",
         "Europe", "Eastern Europe", "🇸🇰", 49035.0, 48105.0, 930.0,
         "Bratislava", 48.1439, 17.1097, "48°08′38″N", "17°06′35″E",
         5454147.0, 105079673009.733, 33515.4325, 31965.3285, True,
         True, True, "Euro", "€", "EUR", 25.0, 0.665, 0.86,
    ],
    "slovenia|^SI$|^SVN$": [
         "Slovenia", "Slovenia", "UN member state", "SI", "SVN", 705, ".si",
         "+386", 46.151241, 14.995463, "46°9′4.5″N", "14°59′43.7″E",
         "Europe", "Southern Europe", "🇸🇮", 20273.0, 20151.0, 122.0,
         "Ljubljana", 46.0556, 14.5083, "46°03′20″N", "14°30′30″E",
         2088385.0, 54174227308.8862, 42422.2787, 39029.7258, True,
         True, True, "Euro", "€", "EUR", 24.6, 0.775, 0.917,
    ],
    "solomon|^SB$|^SLB$": [
         "Solomon Islands", "Solomon Islands", "UN member state", "SB", "SLB",
         90, ".sb", "+677", -9.64571, 160.156194, "9°38′44.6″S",
         "160°9′22.3″E", "Oceania", "Melanesia", "🇸🇧", 28896.0, 27986.0,
         910.0, "Honiara", -9.4319, 159.9556, "9°25′55″S", "159°57′20″E",
         669823.0, 1589913622.23799, 2780.6378, 2662.802, False,
         False, False, "Solomon Islands dollar", "$", "SBD", 37.1,
         0.42, 0.567,
    ],
    "somalia|^SO$|^SOM$": [
         "Somalia", "Somalia", "UN member state", "SO", "SOM", 706, ".so",
         "+252", 3.687751, 45.41276, "3°41′15.9″N", "45°24′45.9″E",
         "Africa", "Eastern Africa", "🇸🇴", 637657.0, 627337.0, 10320.0,
         "Mogadishu", 2.0333, 45.3333, "02°02′N", "45°20′E", 15442905.0,
         4942319040.69958, "", "", False, False, False,
         "Somali shilling", "Sh", "SOS", 36.8, "", "",
    ],
    "(?=.*africa).*south|s[\., ]|^ZA$|^ZAF$": [
         "South Africa", "South Africa", "UN member state", "ZA", "ZAF", 710,
         ".za", "+27", -30.559482, 22.937506, "30°33′34.1″S",
         "22°56′15.0″E", "Africa", "Southern Africa", "🇿🇦", 1219090.0,
         1214470.0, 4620.0, "Bloemfontein, Cape Town, Pretoria",
         -25.7461, 28.188, "25°44′46″S", "28°11′17″E", 58558267.0,
         351431649241.439, 13034.1653, 12481.8135, False, False,
         False, "South African rand", "R", "ZAR", 63.0, 0.425, 0.709,
    ],
    ".*sandwich|^GS$|^SGS$": [
         "South Georgia and the South Sandwich Islands",
         "South Georgia and the South Sandwich Islands", "United Kingdom",
         "GS", "SGS", 239, ".gs", "+500", -54.429579, -36.587909,
         "54°25′46.5″S", "36°35′16.5″W", "", "", "🇬🇸", 3903.0, 3903.0,
         0.0, "King Edward Point", -54.2833, -36.5, "54°17′00″S",
         "36°30′00″W", "", "", "", "", False, False, False,
         "Falkland Islands pound", "£", "FKP", "", "", "",
    ],
    "(?=.*south).*sudan|^SS$|^SSD$": [
         "South Sudan", "South Sudan", "UN member state", "SS", "SSD", 728,
         ".ss", "+211", 7.005022, 30.211401, "7°0′18.1″N", "30°12′41.0″E",
         "Africa", "Eastern Africa", "🇸🇸", 644329.0, "", "", "Juba", 4.85,
         31.6, "4°51′N", "31°36′E", 11062113.0, "", "", "", False,
         False, False, "South Sudanese pound", "£", "SSP", 44.1, 0.307,
         0.433,
    ],
    "spain|^ES$|^ESP$": [
         "Spain", "Spain", "UN member state", "ES", "ESP", 724, ".es", "+34",
         40.463667, -3.74922, "40°27′49.2″N", "3°44′57.2″W", "Europe",
         "Southern Europe", "🇪🇸", 505370.0, 498980.0, 6390.0, "Madrid",
         40.4167, -3.7167, "40°25′N", "3°43′W", 47133521.0,
         1393490524517.64, 43443.5834, 40936.2195, True, True,
         True, "Euro", "€", "EUR", 34.7, 0.728, 0.904,
    ],
    "sri lanka|^LK$|^LKA$": [
         "Sri Lanka", "Sri Lanka", "UN member state", "LK", "LKA", 144,
         ".lk", "+94", 7.873054, 80.771797, "7°52′23.0″N", "80°46′18.5″E",
         "Asia", "Southern Asia", "🇱🇰", 65610.0, 64630.0, 980.0,
         "Sri Jayawardenepura Kotte", 6.9167, 79.9167, "6°55′N", "79°55′E",
         21803000.0, 84008783756.068, 13656.837, 13078.0981, False,
         False, False, "Sri Lankan rupee", "Rs, රු  or  ரூ", "LKR", 39.3,
         0.598, 0.782,
    ],
    "(?!.*south).*sudan|^SD$|^SDN$": [
         "Sudan (the)", "Sudan", "UN member state", "SD", "SDN", 729, ".sd",
         "+249", 16.540312, 30.450219, "16°32′25.1″N", "30°27′0.8″E",
         "Africa", "Northern Africa", "🇸🇩", 1861484.0, 1731671.0,
         129813.0, "Khartoum", 15.5006, 32.56, "15°30′2″N", "32°33′36″E",
         42813238.0, 30513456084.7961, 4122.5267, 3958.4684, False,
         False, False, "Sudanese pound", "ج.س.", "SDG", 34.2, 0.377,
         0.51,
    ],
    "surinam|^SR$|^SUR$": [
         "Suriname", "Suriname", "UN member state", "SR", "SUR", 740, ".sr",
         "+597", 3.919305, -56.027783, "3°55′9.5″N", "56°1′40.0″W",
         "South America", "South America", "🇸🇷", 163820.0, 156000.0,
         7820.0, "Paramaribo", 5.8522, -55.2039, "5°51′8″N",
         "55°12′14″W", 581363.0, 3697371949.58434, 17256.0204,
         16524.7581, False, False, False, "Surinamese dollar", "$",
         "SRD", "", "", 0.738,
    ],
    "(?=.*svalbard).*jan mayen|^SJ$|^SJM$": [
         "Svalbard and Jan Mayen", "Svalbard and Jan Mayen", "Norway", "SJ",
         "SJM", 744, "", "+47", 78.792212, 19.159548, "78°47′32.0″N",
         "19°9′34.4″E", "Europe", "Northern Europe", "🇸🇯", "", "", "", "", "",
         "", "", "", "", "", "", "", False, False, False,
         "Norwegian krone", "kr", "NOK", "", "", "",
    ],
    "sweden|^SE$|^SWE$": [
         "Sweden", "Sweden", "UN member state", "SE", "SWE", 752, ".se",
         "+46", 62.783193, 15.345713, "62°46′59.5″N", "15°20′44.6″E",
         "Europe", "Northern Europe", "🇸🇪", 450295.0, 410335.0, 39960.0,
         "Stockholm", 59.3294, 18.0686, "59°19′46″N", "18°4′7″E",
         10278887.0, 530883869004.977, 56668.3156, 52642.3152, True,
         True, True, "Swedish krona", "kr", "SEK", 30.0, 0.795,
         0.945,
    ],
    "switzerland|^CH$|^CHE$": [
         "Switzerland", "Switzerland", "UN member state", "CH", "CHE", 756,
         ".ch", "+41", 46.818188, 8.227512, "46°49′5.5″N", "8°13′39.0″E",
         "Europe", "Western Europe", "🇨🇭", 41277.0, 39997.0, 1280.0,
         "Bern", 46.9481, 7.4475, "46°56′53″N", "7°26′51″E", 8575280.0,
         703082435158.864, 72372.2428, 68390.713, True, False,
         False, "Swiss franc", "Fr.", "CHF", 33.1, 0.756, 0.955,
    ],
    ".*syria|^SY$|^SYR$": [
         "Syrian Arab Republic (the)", "Syria", "UN member state", "SY", "SYR",
         760, ".sy", "+963", 35.024716, 38.597095, "35°1′29.0″N",
         "38°35′49.5″E", "Asia", "Western Asia", "🇸🇾", 187437.0, 185887.0,
         1550.0, "Damascus", 33.5131, 36.2919, "33°30′47″N",
         "36°17′31″E", 17070135.0, "", "", "", False, False, False,
         "Syrian pound", "£ or ل.س", "SYP", 37.5, "", 0.567,
    ],
    "taiwan|^TW$|^TWN$": [
         "Taiwan (Province of China)", "Taiwan", "Disputed", "TW", "TWN",
         158, ".tw", "+886", 23.69781, 120.960515, "23°41′52.1″N",
         "120°57′37.9″E", "Asia", "Eastern Asia", "🇹🇼", 35980.0, 32260.0,
         3720.0, "Taipei", 25.0667, 121.5167, "25°04′N", "121°31′E", "",
         "", "", "", False, False, False, "New Taiwan dollar", "$",
         "TWD", "", "", "",
    ],
    "tajikistan|^TJ$|^TJK$": [
         "Tajikistan", "Tajikistan", "UN member state", "TJ", "TJK", 762,
         ".tj", "+992", 38.861034, 71.276093, "38°51′39.7″N",
         "71°16′33.9″E", "Asia", "Central Asia", "🇹🇯", 144100.0, 141510.0,
         2590.0, "Dushanbe", 38.5367, 68.78, "38°32′12″N", "68°46′48″E",
         9321018.0, 8116626794.25837, 3529.3111, 3379.7487, False,
         False, False, "Tajikistani samani", "ЅМ", "TJS", 34.0, 0.504,
         0.668,
    ],
    ".*tanzania|^TZ$|^TZA$": [
         "Tanzania, the United Republic of", "Tanzania", "UN member state",
         "TZ", "TZA", 834, ".tz", "+255", -6.369028, 34.888822,
         "6°22′8.5″S", "34°53′19.8″E", "Africa", "Eastern Africa", "🇹🇿",
         947300.0, 885800.0, 61500.0, "Dodoma", -6.1731, 35.7419,
         "6°10′23″S", "35°44′31″E", 58005463.0, 63177068174.549,
         2770.6812, 2660.4203, False, False, False,
         "Tanzanian shilling", "Sh", "TZS", 40.5, 0.39, 0.529,
    ],
    "thailand|^TH$|^THA$": [
         "Thailand", "Thailand", "UN member state", "TH", "THA", 764, ".th",
         "+66", 15.870032, 100.992541, "15°52′12.1″N", "100°59′33.1″E",
         "Asia", "South-Eastern Asia", "🇹🇭", 513120.0, 510890.0, 2230.0,
         "Bangkok", 13.7525, 100.4942, "13°45′09″N", "100°29′39″E",
         69625582.0, 543548969968.693, 19276.8963, 18459.9949, False,
         False, False, "Thai baht", "฿", "THB", 34.9, 0.609, 0.777,
    ],
    "timor.*lest|east timor|^TL$|^TLS$": [
         "Timor-Leste", "Timor-Leste", "UN member state", "TL", "TLS", 626,
         ".tl", "+670", -8.874217, 125.727539, "8°52′27.2″S",
         "125°43′39.1″E", "Asia", "South-Eastern Asia", "🇹🇱", 14874.0,
         14874.0, 0.0, "Dili", -8.5667, 125.5667, "8°34′S", "125°34′E",
         1293119.0, 2017924900.0, 3709.8113, 3552.5997, False,
         False, False, "United States dollar", "$", "USD", 28.7, 0.454,
         0.606,
    ],
    "togo|^TG$|^TGO$": [
         "Togo", "Togo", "UN member state", "TG", "TGO", 768, ".tg", "+228",
         8.650573, 1.075668, "8°39′2.1″N", "1°4′32.4″E", "Africa",
         "Western Africa", "🇹🇬", 56785.0, 54385.0, 2400.0, "Lomé",
         6.1319, 1.2228, "6°7′55″N", "1°13′22″E", 8082366.0,
         5490272413.38702, 1667.3005, 1596.6449, False, False,
         False, "West African CFA franc", "Fr", "XOF", 43.1, 0.432,
         0.515,
    ],
    "tokelau|^TK$|^TKL$": [
         "Tokelau", "Tokelau ", "New Zealand", "TK", "TKL", 772, ".tk",
         "+690", -8.967363, -171.855881, "8°58′2.5″S", "171°51′21.2″W",
         "Oceania", "Polynesia", "🇹🇰", 12.0, 12.0, 0.0, "", "", "", "",
         "", "", "", "", "", False, False, False, "New Zealand dollar",
         "$", "NZD", "", "", "",
    ],
    "tonga|^TO$|^TON$": [
         "Tonga", "Tonga", "UN member state", "TO", "TON", 776, ".to",
         "+676", -21.178986, -175.198242, "21°10′44.3″S", "175°11′53.7″W",
         "Oceania", "Polynesia", "🇹🇴", 747.0, 717.0, 30.0, "Nukuʻalofa",
         -21.1333, -175.2, "21°8′0″S", "175°12′0″W", 104494.0,
         512350059.421629, 6665.7499, 6383.2739, False, False,
         False, "Tongan paʻanga", "T$", "TOP", 37.6, 0.531, 0.725,
    ],
    ".*trinidad|.*tobago|^TT$|^TTO$": [
         "Trinidad and Tobago", "Trinidad and Tobago", "UN member state", "TT",
         "TTO", 780, ".tt", "+1 868", 10.448289, -61.257943,
         "10°26′53.8″N", "61°15′28.6″W", "North America", "Caribbean", "🇹🇹",
         5128.0, 5128.0, 0.0, "Port of Spain", 10.6667, -61.5167,
         "10°40′N", "61°31′W", 1394973.0, 24269714809.9078, 27334.184,
         26175.837, False, False, False, "Trinidad and Tobago dollar",
         "$", "TTD", "", 0.603, 0.796,
    ],
    "tunisia|^TN$|^TUN$": [
         "Tunisia", "Tunisia", "UN member state", "TN", "TUN", 788, ".tn",
         "+216", 33.886917, 9.537499, "33°53′12.9″N", "9°32′15.0″E",
         "Africa", "Northern Africa", "🇹🇳", 163610.0, 155360.0, 8250.0,
         "Tunis", 36.8064, 10.1817, "36°48′23″N", "10°10′54″E",
         11694719.0, 38796687568.157, 11231.571, 10755.6082, False,
         False, False, "Tunisian dinar", "د.ت", "TND", 32.8, 0.517,
         0.74,
    ],
    "turkey|^TR$|^TUR$": [
         "Turkey", "Turkey", "UN member state", "TR", "TUR", 792, ".tr",
         "+90", 38.963745, 35.243322, "38°57′49.5″N", "35°14′36.0″E",
         "Asia", "Western Asia", "🇹🇷", 783562.0, 769632.0, 13930.0,
         "Ankara", 39.93, 32.85, "39°55′48″N", "32°51′00″E", 83429615.0,
         761425499358.159, 28133.0886, 28289.0888, True, False,
         False, "Turkish lira", "₺", "TRY", 41.9, 0.649, 0.82,
    ],
    "turkmenistan|^TM$|^TKM$": [
         "Turkmenistan", "Turkmenistan", "UN member state", "TM", "TKM", 795,
         ".tm", "+993", 39.759206, 58.769464, "39°45′33.1″N",
         "58°46′10.1″E", "Asia", "Central Asia", "🇹🇲", 488100.0, 469930.0,
         18170.0, "Ashgabat", 37.9333, 58.3667, "37°56′N", "58°22′E",
         5942089.0, "", "", "", False, False, False,
         "Turkmenistan manat", "m", "TMT", "", "", 0.715,
    ],
    "(?=.*turks).*caicos|^TC$|^TCA$": [
         "Turks and Caicos Islands (the)", "Turks and Caicos Islands",
         "United Kingdom", "TC", "TCA", 796, ".tc", "+1 649", 21.78032,
         -71.755229, "21°46′49.2″N", "71°45′18.8″W", "North America",
         "Caribbean", "🇹🇨", 948.0, 948.0, 0.0, "Cockburn Town",
         21.4589, -71.1389, "21°27′32″N", "71°08′20″W", 38191.0,
         1197415000.0, 30547.9125, 29253.3766, False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    "tuvalu|^TV$|^TUV$": [
         "Tuvalu", "Tuvalu", "UN member state", "TV", "TUV", 798, ".tv",
         "+688", -7.109535, 177.64933, "7°6′34.3″S", "177°38′57.6″E",
         "Oceania", "Polynesia", "🇹🇻", 26.0, 26.0, 0.0, "Funafuti",
         -8.5167, 179.2, "08°31′S", "179°12′E", 11646.0,
         47271463.3298575, 4470.8577, 4281.3951, False, False,
         False, "Tuvaluan dollar", "$", "TVD", 39.1, 0.448, "",
    ],
    "uganda|^UG$|^UGA$": [
         "Uganda", "Uganda", "UN member state", "UG", "UGA", 800, ".ug",
         "+256", 1.368864, 32.68777, "1°22′7.9″N", "32°41′16.0″E",
         "Africa", "Eastern Africa", "🇺🇬", 241038.0, 197100.0, 43938.0,
         "Kampala", 0.3136, 32.5811, "00°18′49″N", "32°34′52″E",
         44269594.0, 35165157016.9125, 2284.2657, 2187.4649, False,
         False, False, "Ugandan shilling", "Sh", "UGX", 42.8, 0.384,
         0.544,
    ],
    "ukraine|^UA$|^UKR$": [
         "Ukraine", "Ukraine", "UN member state", "UA", "UKR", 804, ".ua",
         "+380", 49.19813, 31.503969, "49°11′53.3″N", "31°30′14.3″E",
         "Europe", "Eastern Europe", "🇺🇦", 603550.0, 579330.0, 24220.0,
         "Kyiv", 50.45, 30.5233, "50°27′00″N", "30°31′24″E", 44386203.0,
         153781069118.148, 13341.2105, 12810.2895, False, False,
         False, "Ukrainian hryvnia", "₴", "UAH", 26.6, 0.631, 0.779,
    ],
    ".*united arab emirates|UAE|^AE$|^ARE$": [
         "United Arab Emirates (the)", "United Arab Emirates",
         "UN member state", "AE", "ARE", 784, ".ae", "+971", 23.980666,
         54.573994, "23°58′50.4″N", "54°34′26.4″E", "Asia", "Western Asia",
         "🇦🇪", 83600.0, 83600.0, 0.0, "Abu Dhabi", 24.4667, 54.3667,
         "24°28′N", "54°22′E", 9770529.0, 421142267937.65, 70089.324,
         67119.1326, False, False, False,
         "United Arab Emirates dirham", "د.إ", "AED", 26.0, 0.673, 0.89,
    ],
    "u\.k\.|united kingdom|gb$|g\.b\.|great britain|^GB$|^GBR$": [
         "United Kingdom of Great Britain and Northern Ireland (the)",
         "United Kingdom", "UN member state", "GB", "GBR", 826, ".uk", "+44",
         53.510554, -1.578321, "53°30′38.0″N", "1°34′42.0″W", "Europe",
         "Northern Europe", "🇬🇧", 243610.0, 241930.0, 1680.0, "London",
         51.5072, -0.1275, "51°30′26″N", "0°7′39″W", 66836327.0,
         2829108219165.8, 49930.1689, 46702.9784, True, False,
         False, "Pound sterling", "£", "GBP", 35.1, 0.783, 0.932,
    ],
    "(?=.*minor outlying).*(united states|u\.s\.|us$)|^UM$|^UMI$": [
         "United States Minor Outlying Islands (the)",
         "United States Minor Outlying Islands", "United States of America",
         "UM", "UMI", 581, "", "+1", 12.021708, 177.590537,
         "12°1′18.1″N", "177°35′25.9″E", "", "", "🇺🇲", "", "", "", "", "", "",
         "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
    ],
    "u[\.]*s[\.]*a[\.]*$|u[\.]*s[\.]*$|.*united states of america|(?!.*minor).*united states$|^US$|^USA$": [
         "United States of America (the)", "United States", "UN member state",
         "US", "USA", 840, ".us", "+1", 39.771005, -98.500016,
         "39°46′15.6″N", "98°30′0.1″W", "North America", "Northern America",
         "🇺🇸", 9833517.0, 9147593.0, 685924.0, "Washington, D.C.",
         38.91, -77.0147, "38°54′36″N", "77°00′53″W", 328239523.0,
         21433226000000.0, 65297.5175, 62530.3896, True, False,
         False, "United States dollar", "$", "USD", 41.4, 0.702, 0.926,
    ],
    "uruguay|^UY$|^URY$": [
         "Uruguay", "Uruguay", "UN member state", "UY", "URY", 858, ".uy",
         "+598", -32.801726, -56.116685, "32°48′6.2″S", "56°7′0.1″W",
         "South America", "South America", "🇺🇾", 176215.0, 175015.0,
         1200.0, "Montevideo", -34.8836, -56.1819, "34°53′1″S",
         "56°10′55″W", 3461734.0, 56045912952.9732, 22515.1936,
         21561.0621, False, False, False, "Uruguayan peso", "$", "UYU",
         39.7, 0.599, 0.817,
    ],
    "uzbekistan|^UZ$|^UZB$": [
         "Uzbekistan", "Uzbekistan", "UN member state", "UZ", "UZB", 860,
         ".uz", "+998", 41.651192, 63.765843, "41°39′4.3″N",
         "63°45′57.0″E", "Asia", "Central Asia", "🇺🇿", 447400.0, 425400.0,
         22000.0, "Tashkent", 41.3, 69.2667, "41°18′N", "69°16′E",
         33580350.0, 57921286440.3495, 7308.4807, 6998.7676, False,
         False, False, "Uzbekistani soʻm", "so'm or сўм", "UZS", 35.3,
         0.623, 0.72,
    ],
    "vanuatu|^VU$|^VUT$": [
         "Vanuatu", "Vanuatu", "UN member state", "VU", "VUT", 548, ".vu",
         "+678", -15.376706, 166.959158, "15°22′36.1″S", "166°57′33.0″E",
         "Oceania", "Melanesia", "🇻🇺", 12189.0, 12189.0, 0.0,
         "Port Vila", -17.7333, 168.3167, "17°44′S", "168°19′E",
         299882.0, 934239973.812573, 3292.5441, 3153.0152, False,
         False, False, "Vanuatu vatu", "Vt", "VUV", 37.6, 0.455,
         0.609,
    ],
    "venezuela|^VE$|^VEN$": [
         "Venezuela (Bolivarian Republic of)", "Venezuela", "UN member state",
         "VE", "VEN", 862, ".ve", "+58", 7.411109, -65.729333,
         "7°24′40.0″N", "65°43′45.6″W", "South America", "South America", "🇻🇪",
         912050.0, 882050.0, 30000.0, "Caracas", 10.4806, -66.9036,
         "10°28′50″N", "66°54′13″W", 28515829.0, "", "", "", False,
         False, False, "Venezuelan bolívar", "Bs.S. or Bs.", "VES", 44.8,
         "", 0.711,
    ],
    "vietnam|viet nam|^VN$|^VNM$": [
         "Viet Nam", "Viet Nam", "UN member state", "VN", "VNM", 704, ".vn",
         "+84", 14.058324, 108.277199, "14°3′30.0″N", "108°16′37.9″E",
         "Asia", "South-Eastern Asia", "🇻🇳", 331210.0, 310070.0, 21140.0,
         "Hanoi", 21.0283, 105.8542, "21°01′42″N", "105°51′15″E",
         96462106.0, 261921244843.172, 8397.021, 8041.1786, False,
         False, False, "Vietnamese đồng", "₫", "VND", 35.7, 0.69,
         0.704,
    ],
    "(?=.*virgin).*(u\.k\.|uk$|\(uk\)|british)|^VG$|^VGB$": [
         "Virgin Islands (British)", "Virgin Islands (British)",
         "United Kingdom", "VG", "VGB", 92, ".vg", "+1 284", 18.420695,
         -64.639968, "18°25′14.5″N", "64°38′23.9″W", "North America",
         "Caribbean", "🇻🇬", 151.0, 151.0, 0.0, "Road Town", 18.4314,
         -64.6231, "18°25′53″N", "64°37′23″W", 30030.0, "", "", "",
         False, False, False, "United States dollar", "$", "USD", "", "",
         "",
    ],
    "(?=.*virgin).*(u\.s\.|us$|\(us\)|united states)|^VI$|^VIR$": [
         "Virgin Islands (U.S.)", "Virgin Islands (U.S.)",
         "United States of America", "VI", "VIR", 850, ".vi", "+1 340",
         18.335765, -64.896335, "18°20′8.8″N", "64°53′46.8″W",
         "North America", "Caribbean", "🇻🇮", "", "", "", "Charlotte Amalie",
         18.35, -64.95, "18°21′N", "64°57′W", 106669.0, "", "", "",
         False, False, False, "United States dollar", "$", "USD", "", "",
         "",
    ],
    "(?=.*wallis).*futuna|^WF$|^WLF$": [
         "Wallis and Futuna", "Wallis and Futuna", "France", "WF", "WLF",
         876, ".wf", "+681", -13.768752, -177.156097, "13°46′7.5″S",
         "177°9′21.9″W", "Oceania", "Polynesia", "🇼🇫", 142.0, 142.0, 0.0,
         "Mata Utu", -13.2833, -176.1833, "13°17′S", "176°11′W", "", "",
         "", "", False, False, False, "CFP franc", "₣", "XPF", "", "",
         "",
    ],
    "(?=.*western).*sahara|^EH$|^ESH$": [
         "Western Sahara", "Western Sahara", "Disputed", "EH", "ESH", 732,
         ".eh", "+212", 24.913479, -13.42188, "24°54′48.5″N",
         "13°25′18.8″W", "Africa", "Northern Africa", "🇪🇭", 266000.0,
         266000.0, 0.0, "El Aaiún", 27.1536, -13.2033, "27°9′13″N",
         "13°12′12″W", "", "", "", "", False, False, False, "", "", "",
         "", "", "",
    ],
    "yemen|^YE$|^YEM$": [
         "Yemen", "Yemen", "UN member state", "YE", "YEM", 887, ".ye",
         "+967", 15.552727, 48.516388, "15°33′9.8″N", "48°30′59.0″E",
         "Asia", "Western Asia", "🇾🇪", 527968.0, 527968.0, 0.0, "Aden",
         12.8, 45.0333, "12°48′N", "45°02′E", 29161922.0,
         22581081993.945, "", "", False, False, False, "Yemeni rial",
         "﷼", "YER", 36.7, 0.373, 0.47,
    ],
    "zambia|^ZM$|^ZMB$": [
         "Zambia", "Zambia", "UN member state", "ZM", "ZMB", 894, ".zm",
         "+260", -13.747852, 27.804593, "13°44′52.3″S", "27°48′16.5″E",
         "Africa", "Eastern Africa", "🇿🇲", 752618.0, 743398.0, 9220.0,
         "Lusaka", -15.4167, 28.2833, "15°25′S", "28°17′E", 17861030.0,
         23309773922.7582, 3624.0249, 3470.4488, False, False,
         False, "Zambian kwacha", "ZK", "ZMW", 57.1, 0.397, 0.584,
    ],
    "zimbabwe|^ZW$|^ZWE$": [
         "Zimbabwe", "Zimbabwe", "UN member state", "ZW", "ZWE", 716, ".zw",
         "+263", -18.985133, 29.889704, "18°59′6.5″S", "29°53′22.9″E",
         "Africa", "Eastern Africa", "🇿🇼", 390757.0, 386847.0, 3910.0,
         "Harare", -17.8292, 31.0522, "17°49′45″S", "31°3′8″E",
         14645468.0, 21440758800.0, 2961.4464, 2835.9485, False,
         False, False, "RTGS dollar", "ZWL$", "ZWB", 50.3, 0.467,
         0.571,
    ],
    "(?!.*[z]).*(a|å)land|^AX$|^ALA$": [
         "Åland Islands", "Åland Islands", "Finland", "AX", "ALA", 248,
         ".ax", "+358 18", 60.209445, 20.134315, "60°12′34.0″N",
         "20°8′3.5″E", "", "", "🇦🇽", "", "", "", "Mariehamn", 60.1,
         19.9333, "60°06′N", "019°56′E", "", "", "", "", False, False,
         False, "Euro", "€", "EUR", "", "", "",
    ],
}
